Using the PC-DMIS Vision Optical Measuring System

Using the PC-DMIS Vision Measuring System

PC-DMIS Vision: Introduction

Rules of Measurement for PC-DMIS Vision

Getting Started

Setting Machine Options

M achine Options: General tab

Machine Options: Motion tab

Machine Options: Illumination tab

M achine Options: Wrist Tab

Machine Options: Pendant tab

Machine Options: Motion Controller Communication tab

Machine Options: Illumination Communication tab

M achine Options: Debug tab

Calibrating the Vision Probe

Calibrating the Vision Stage

Using the Probe Toolbox in PC-DMIS Vision

P robe Toolbox: Position Probe tab

Probe Toolbox: Hit Targets tab

Probe Toolbox: Magnification tab

Probe Toolbox: Illumination tab

Probe Toolbox: Focus tab

Probe Toolbox: Gage tab

Probe Toolbox: Feature Locator tab

Using the Graphics Display Window in PC-DMIS Vision

Cad View

Live View

Measuring Features Using PC-DMIS Vision

Vision Measuring Methods

Step by Step Measurement Procedure

Modifying a Feature in PC-DMIS Vision

T he Auto Feature Dialog Box in PC-DMIS Vision

Using AutoTune Execution

Appendix A: Troubleshooting PC-DMIS Vision


PC-DMIS Vision: Introduction

This help file documents how to use PC-DMIS Vision with your optical measuring system to measure features on a part. Vision probes provide a quick way to collect many measured points for a single feature. This non-contact probing method can also be used to measure certain types of "flat" features. For example, a circuit board could have an overlay of a different color to the main circuit board. A contact probe running over the part won’t detect the feature. However, using a Vision probe you could easily "capture" the feature.

PC-DMIS Vision will let you prepare a part program in either offline or online modes. The CAD Camera functionality gives you the versatility to run this program in either mode.

PC-DMIS Vision supports these hardware configurations:

¨ ROI DCC machines - Onyx, Datastar, and OMIS II-III product lines
¨ TESA Visio product line - Visio 1 and Visio 300 Manual + DCC including Touch Probe
¨ Mycrona machines - Red, Silver & Blue Lines, including Touch Probe Systems, Dual Z Axis & rotary table machines, Point Laser and Mahr & Werth (via retrofit).
¨ QVI/OGP – All PC Based models (Smartscope, Quest, Flash, Zip, etc)
¨ CMM-V - Vision camera on a CMM wrist. Available for LEITZ firmware CMMs.

In addition, many other machine types can be supported by using a generic Metronics interface. Installation may require some PC hardware upgrades.

The main topics in this help file include:

  • Getting Started

  • Setting Machine Options

  • Calibrating the Vision Probe

  • Calibrating the Vision Stage

  • Using the Probe Toolbox in PC-DMIS Vision

  • Using the Graphics Display Window in PC-DMIS Vision

  • Measuring Features using PC-DMIS Vision

  • Modifying a Feature in PC-DMIS Vision

  • Using AutoTune Execution

Use this help file in conjunction with the main "PC-DMIS Help file" if you come across something in the software that isn't covered here.


Rules of Measurement for PC-DMIS Vision

There are three basic rules that should be considered while measuring with PC-DMIS Vision. These rules will dramatically affect the measurement accuracy or repeatability that you can achieve.

  1. Lighting - If you can't see the product you can't measure it. You can "Calibrate Illumination" and make needed adjustments via the "Probe Toolbox: Illumination tab" to ensure proper lighting for measurement. Where possible, use only sub-stage lighting, as it will reduce the amount of texture on the surface and improve edge detection performance.

  2. Magnification - Changing the magnification will directly affect the accuracy of the result you're going to achieve. PC-DMIS Vision makes adjustments to accommodate changes in magnification. Magnification is calibrated through "Field of View Calibration" and adjusted for optimal measurement of your feature via the "Probe Toolbox: Magnification tab". Focus accuracy is particularly affected by magnification. Higher magnification allows you to obtain higher focus accuracy.

  3. Edge Quality - Imperfections of the viewed edge may affect the resulting hit targets. Ensure targets are sized to contain ideally just the target edge you’re trying to measure. Use ring lights (if available) to ensure the edge is lit up as sharp and in high contrast as possible. Clever filtration and sample measurements can allow you to achieve a desired result. Using the "Probe Toolbox: Hit Targets tab", you can limit the data that is included for the measured feature.


Getting Started

There are a few basic steps that you should take to verify that your system has been properly prepared before beginning the measurement process with your optical device.

Note: You will get best measurement results if your optical measuring system is setup in a dimly lit room that doesn't have a lot of uncovered windows or bright lights with little temperature variation.

Follows these steps to get started with PC-DMIS Vision:

  • Step 1: Install PC-DMIS Vision

  • Step 2: Home your System

  • Step 3: Modify Machine Options

  • Step 4: Perform Calibrations

  • Step 5: Measure Features

  • Frame Grabber


Step 1: Install PC-DMIS Vision

Before working with your optical measuring system, ensure that PC-DMIS has been properly installed on your computer system. The Vision option must be selected on your portlock with the correct Vision probe type selected from the Vision Type drop-down box. The portlock settings must be selected prior to installing PC-DMIS to ensure that the needed Vision components will be installed.

During the initial PC-DMIS install process, you will be prompted to install Frame Grabber software. See the "Frame Grabber" topic for more information.

Also, a qualified technician should have already performed specific calibration tests for your Vision machine. You can verify that your machine is ready by confirming the following files reside on your computer system located in the root directory where you installed PC-DMIS:

  • *.ilc – Files that have a .ilc extension are created during the calibration process of your machine's lamps. They store the illumination calibration data for each lamp and optics lens combination.

  • *.ocf, *.mcf and *.fvc – These files are created during the calibration of your machine’s optics. They store the calibration data needed to map pixel size to real world units and correct for optical parcentrality/parfocality errors.

  • Comp.dat – This file is created during the calibration of your machine’s stage, storing the calibrations for position on the X, Y and Z axis.

These calibration files may or may not exist and are not prerequisite to running PC-DMIS Vision. If this is a new install, then the files will not exist. As calibrations are executed inside of PC-DMIS, these files will be created.

CAUTION: Do not, under any circumstances, alter these files. A trained service technician must make any calibration adjustments to these areas of the system.

Next Step

More:

Frame Grabber


Step 2: Home your System

Start PC-DMIS before you begin to home your system.

You need to home your system before proceeding in order to find the encoder’s zero position of the machine’s scales. Methods for homing may vary from system to system, although most DCC Vision systems will automatically home on startup. If you need additional information on homing your specific system, consult the documentation that came with your optical machine.

Next Step


Step 3: Modify Machine Options

Once you've homed the machine, access the Machine Interface Setup dialog box located in the Edit | Preferences menu. See "Setting Machine Options" for information on how to do this.

Next Step


Step 4: Perform Calibrations

Before you begin measuring with your Vision probe, in most cases it is necessary to perform the various calibration procedures on your machine. This includes Optical Center, Field-of-View, Illumination, and Probe Offset calibrations. See the "Calibrating the Vision Probe" topic for information on calibrating your Vision probe.


Step 5: Measure Features

Step 4: Measure Features

Once your machine is properly setup, you can measure features by following the information in "Measuring Features Using PC-DMIS Vision".


Frame Grabber

A Frame Grabber is a PC board that converts an analog video signal to a digital signal. This creates individual pictures or frames that can then be retrieved and analyzed by software. PC-DMIS Vision supports multiple Frame Grabbers as the video data input. The live image from your analog camera is provided via the Frame Grabber to the Live View in PC-DMIS. Newer digital cameras act as a combined camera and frame grabber since they already provide the video image data in digital form.

Note: Digital cameras also require that specific software for your camera is installed to interface with PC-DMIS Vision.

When your portlock is programmed with the Vision option and no frame grabber software has been installed, you will be prompted to install Frame Grabber software.

Click Yes to continue or No to skip Frame Grabber installation. You will be prompted to insert the installer CD.

Click OK, once you have inserted the installer CD or you would like to browse for the Installer executable (SetupFramegrabber.exe). After locating SetupFramegrabber.exe, run the program, select your framegrabber from the list, and follow the instructions to install the Frame Grabber software.


Setting Machine Options

Select the Display Menu Roadmap Edit | Preferences | Machine Interface Setup menu option. The Machine Options dialog box appears. The tabs displayed in this dialog box may vary depending on the type of optical machine you have, and whether you’re running online or offline, but a typical optical machine would allow you to:

  • Specify the active hardware components you will use with your optical measuring system. This potentially allows you to still use some components of your optical machine, if certain hardware components are broken. See “Machine Options: General tab”.

  • Change your machine's speed and travel limits. See "Machine Options: Motion tab".

  • Specify the available lamps on your machine. See "Machine Options: Illumination tab". Available in both online and offline modes.

  • Specify the settings for your wrist device. See "Machine Options: Wrist Tab".

  • Define the speed parameters for your manual control box. See “Machine Options: Pendant tab”.

  • Specify the communications port and settings used to connect your computer to your optical measuring device. See “Machine Options: Motion Controller Communication tab” and “Machine Options: Illumination Communication tab”.

  • Store any communications between PC-DMIS Vision and your optical machine for debug purposes. See “Machine Options: Debug tab”.

CMM-V Note: If you are running PC-DMIS Vision with the CMM-V probe on a CMM, then not all the above pages will be available. To access the standard CMM controller setup, select the Setup... button on the CMMI section of the General tab.

Note: Many of the functions that used to be accessed from the Machine Options dialog box have been moved the Probe Utilities dialog box as part of the centralized calibration processes. Calibration is now probe specific.


Machine Options: General tab

Machine Options dialog box – General tab

The General tab allows you to enable or disable controllers for use with PCDMIS. You must restart PC-DMIS if you change any of the options on this tab. These three main areas exist on this tab:

  • Active Controllers Settings

  • Controller Settings

  • Timer Interval


Active Controllers Settings

The Active Controllers section defines which machine interface PC-DMIS should use to control each hardware component during PC-DMIS online operation. You can select three options: MSI, CMMI or None.

  • MSI – (Multi Sensor Interface). Select this option for when you want to use the MSI to handle the controller section. For dedicated Vision machines (such as ROI, TESA and MYCRONA), ALL active controllers that are present on the machine will go through the MSI. On a CMM, just the Vision specific controllers (Illumination, Optics, Framegrabber) would normally be set to MSI. The other (Motion, Pendant, Toolchanger, Wrist, Touch Probe, Laser Probe) will use the standard CMM interface (CMMI)

  • CMMI – Select this option for a Vision probe on a CMM (e.g. the CMM-V camera), where the original controller (e.g. LEITZ) is used to control the Motion, Touch Probe,Wrist, Laser Probe and ToolChanger elements of machine operation.

  • None – Select this option if the hardware component does not exist or is broken. If the component is broken, selecting this option lets you continue to use functional parts of your optical machine.

Note: MSI and CMMI selections are NOT mutually exclusive. You are permitted to mix MSI with a CMMI controller during the selection.


Controller Information

The Controller Information area displays the controller discovered by PC-DMIS during online execution. This section shows four display boxes with this information:

  • Controller drop-down list – Select your machine model for interfaces that support multiple machine models. For example, the Metronics interface would have “TESA VISIO 300 Manual”, “TESA VISIO 300 DCC” and “Custom” types. This option MUST be set in order to configure machine configuration settings correctly for the target machine. For interfaces that only support one type of machine, the option will have been automatically preselected for you.

  • PC-DMIS connectivity – Displays the supported version of the Hardware Abstraction Layer (HAL) interface for this version of PC-DMIS supports. The HAL version should be the same for PC-DMIS, MSI and HSI. A warning will be given if differences are encountered.

  • MSI (Multi-Sensor Interface) connectivity – Displays the supported version of the HAL interface for this MSI.

  • HSI (Hardware Specific Interface) – Displays the HSI used during execution. This component controls the specific hardware device.

  • CMMI (Coordinate Measuring Machine Interface) – Displays the name of the CMMI interface to be used. Click Setup... to open the Machine Interface Setup options for the CMMI controller (e.g. B&S LEITZ).

You should provide this information to your PC-DMIS technical support group when you report problems.


Timer Interval

The Timer Interval box indicates the maximum time that PC-DMIS Vision will wait before asking the hardware for current motion, illumination and optics settings.

Caution: Unless directed by a trained technician, do not alter this value.


Machine Options: Motion tab

Machine Options dialog box—Motion tab

The Motion tab allows you to define the movement parameters of your machine. Your service technician has already set your motion options during the installation of this system.

CMM-V Note: This tab is not available for CMM-V.

More:

Homing Enabled Checkbox

Travel Limits and Volumetric Compensation areas

Max Speed box


Homing Enabled Checkbox

You need to perform the homing operation if you want to use the stage with a fixture. Homing is also needed for systems using any segmented linear or non linear error correction. A specific stage position must be identified in order to correlate the stage position with the error correction data. This operation establishes the machine’s zero location. With this check box selected, PC-DMIS will home the machine when it starts. Some hardware may retain its homed state until you switch it off. If the hardware does not need homing, or if it isn’t configured for homing, selecting this check box will not have an effect.


Travel Limits and Volumetric Compensation areas

These areas specify the travel limits and volume compensation of your machine. The service technician has already determined the best travel limits and volume compensation values for your system. Only a trained service technician should run the stage calibration utility. The dialog displays the date/time when the last stage calibration was performed.

Limits Enabled checkbox - This allows you to turn off the checking of the limits. The only time you would normally turn this check off is on certain systems when you are performing a stage calibration and you need to work right to the limit of the stage travel. We do not recommend disabling this check at any other time as it can protect the hardware from being damaged by moving outside its limits.

Calibrate - This button begins the Stage calibration procedure. See the "Calibrating the Vision Stage" topic for more information.

Caution: Unless directed by a trained technician, do not alter these values.


Max Speed box

The Maximum Speed edit box indicates the speed of DCC moves. If you find that you need to modify the move speed percentages, it is better to make any changes from the Motion tab of the Parameter Settings dialog box.

Caution: Unless directed by a trained technician, do not alter this value.


Machine Options: Illumination tab

Machine Options dialog box – Illumination tab

The Illumination tab allows you to select the lamps that are installed on your machine from those available from the machine vendor.

Select the check box next to the lamps that are physically installed on your machine from the Available Lamps list.

Note: Illumination Calibration is done from the Probe Utilities dialog box. See the "Calibrate Illumination" topic


Machine Options: Wrist Tab

Machine Options dialog box—Wrist tab

The Wrist tab allows you to specify the communications port and settings used to connect your computer to your optical measuring device’s wrist controller. This is for dedicated vision machines that have PH9 type wrist fitted and the Wrist portlock option selected (e.g. Mycrona).

CMM-V Note: On a CMM-V, this tab will not be available as the wrist control is done through the existing CMMI interface.


Machine Options: Pendant tab

Machine Options dialog box – Pendant tab

The Pendant tab, available on selected machines, allows you to define the speed parameters for your manual control box. Your manual control box is the hardware component PC-DMIS Vision uses to manually drive your Vision probe toward and away from features you want to measure. This manual control is either a joystick or a joystick and a trackball.

Most optical systems provide just a joystick while some systems provide both a joystick and a trackball. You can change the speed that the optical probe will use by altering the values in the boxes provided. The speed is listed in mm per second.

More:

Joystick

Trackball


Joystick

If your system supports a joystick, you should use the joystick for fast adjustment of the optical probe. Use the Joystick Speed and Joystick Z Speed boxes to specify the speed used to drive the Vision probe into range of the video measurement. Speed is measured in terms of millimeters per second. The maximum or minimum values that you should use depend on your specific system. Consult your optical measuring system’s documentation for any speed restrictions.


Trackball

If your system supports a trackball for manual control, you should use the trackball for fine adjustment of the Vision probe. Use the trackball once the Vision probe is in position and you want to take the video measurement on the part.

  • To improve the slow trackball speed response, increase the Trackball Speed Linear Factor.

  • To get a higher speed response, increase the Trackball Speed Exponential Factor.

If you are using a ROI system, the default settings are 0.2 for the Trackball Speed Linear Factor and 0.003 for the Trackball Speed Exponential Factor.


Machine Options: Motion Controller Communication tab

Machine Options dialog box—Motion Controller Communication tab

The Motion Controller Communication tab allows you to specify the communications port and settings used to connect your computer to your optical measuring device’s motion controller.

Note: For TESA Visio1 machines there is a single “Machine Controller” tab for Motion and Illumination.

For Metronics (e.g. TESA VISIO 300) and Mycrona interface systems, there are no Controller tabs.


Machine Options: Illumination Communication tab

Machine Options dialog box—Illumination Communication tab

The Illumination Communication option allows you to specify the communications port and settings used to connect your computer to the Illumination instruments used by your optical measuring device.

Note: For TESA Visio1 machines there is a single “Machine Controller” tab for Motion and Illumination.

For Metronics (e.g. TESA VISIO 300) and Mycrona interface systems, there are no Controller tabs.


Machine Options: Debug tab

Machine Options dialog box—Debug tab

PC-DMIS Vision has the ability to generate a file that records any communication between the software and the hardware during the execution of your part program. This ‘debug’ file is useful in determining the cause of any problems that you might be having with your optical measuring system.

See the "Generating a Debug File" topic in the main PC-DMIS help file for more information on generating a debug file.

CMM-V Note: When running on CMM-V, the debug tab is accessed from the CMMI Setup… dialog box. Vision and standard CMM debug information will both be written to the same specific debug.txt file.


Calibrating the Vision Probe

Calibration for your Vision probe is accomplished from the Probe Utilities dialog box. In most cases, each of the calibrations should be completed before you can begin measuring with your Vision probe. To access this dialog box, select a probe that has already been added from the Edit Window and click F9 or select the Insert | Hardware Definition | Probe menu item.

Probe Utilities dialog box - Vision Probe specified

Define the Vision probe with the needed components then click Measure to access the Calibrate Vision Probe dialog box

Calibrate Vision Probe dialog box

The Calibrate Vision Probe dialog box allows you select and perform the following calibrations, which should be calibrated in the order listed below:

  • Calibrate Optical Center

  • Calibrate Field of View

  • Calibrate Illumination

  • Calibrate Probe Offset

More:

A Note on Probe Definitions

Considerations for Vision Probes


Calibrate Optical Center

This procedure calibrates the optical center position of a zoom cell. The optical center is the point in the camera field of view where a feature does not move laterally as the cell zooms. This location information keeps the image view stable as the magnification is changed and minimizes measurement error between features at different magnifications. The optics hardware should be assembled so as to keep this location near the center of the field of view to allow maximum field of view utilization. The optical center calibration is to fine tune the position location is software. Note that it is desirable to measure related features at the same magnification. A zoom cell that changes magnification without a lateral shift in the image is said to be parcentric. A zoom cell that changes magnification without a change in focus is said to be parfocal.

No physical change takes place in the video camera or stage in any way. Any changes you make will appear only in the LIVE View of the Graphics Display window.

Note: Open the Probe Toolbox dialog box, select the Gage tab, and select the cross-hair gage before you begin to calibrate the Optical Center. This will display the cross-hair gage in the Live View.

To Calibrate the Optical Center:

  1. Select Calibrate Optical Center from the drop-down list on the Calibrate Vision Probe dialog box.

  2. Click Calibrate. The Calibrate Optical Center dialog box is opened.

Calibrate Optical Center dialog box

  3. Specify the Calibrated Center. PC-DMIS Vision supports any size of Video Frame, though the most common are 640 X 480 and 768 X 576 pixels. Edit the values in the X and Y Pixel boxes to adjust the position of the optical center of the video frame.

Caution: Your service technician has set the initial displayed values. If you make any physical changes to the optics or camera relative to the optics, the optical center values will need to be re-evaluated.

  4. Click the [image] icon to go to the highest magnification level. With the lens completely zoomed in, you may need to adjust the lighting to see clearly.

  5. Identify a small dust particle, and manually move the stage so the center of the cross hair coincides with the dust particle.

  6. Click the [image] icon to go to the lowest magnification level. With the lens completely zoomed out, you may need to adjust the lighting to see clearly.

  7. If the center of the Cross Hair does not coincide with the "dust", click the arrows in the Manually Moved Center area to align the Cross Hair with the "dust". After the “dust” is aligned, repeat steps 4 through 7.

  8. When the result is acceptable (when there is no perceivable shift or the shift is less than one pixel when going from high magnification to low magnification), Click Calibrate to update the Calibrated Center values with the manually adjusted values.

  9. Click Close when par-centricity has been established.


Calibrate Field of View

This option calibrates the optics on the system. Three separate calibrations are supported (depending on hardware and calibration artifact available):

  • Pixel Size: This calibrates the size of the field of view throughout the zoom cell's magnification (mag) range or with a given optic’s configuration. Follow the manufacturer’s guidelines on optical calibration intervals. You will need to recalibrate the optical magnification any time the zoom cell or microscope is altered (such as when it is sent in for repair).

  • Camera Rotation: This calibrates the rotation of the camera to the stage, and removes any rotation. This is particularly evident on CMM-V systems.

  • Parcentrality/Parfocality: This calibration ensures that the center of the lens and the center of the field-of-view are aligned. This option is only available on zoom lenses.

Note: If your zoom cell automatically calibrates, then you won't need to perform a specific magnification calibration. Instead, you will receive a message that the calibration is done as needed.

To Calibrate the Field of View:

  1. Select Calibrate Field of View from the drop-down list on the Calibrate Vision Probe dialog box.

  2. Click Calibrate. The Calibrate Field of View dialog box appears.

Calibrate Field of View dialog box

Important: Do not move the calibration standard throughout the calibration process.

  3. Select the option button in the Calibration Standard area that corresponds to the type of calibration standard you received with your system. Supported standards include:

  • Hexagon Metrology Slide

  • ROI Concentric Rectangle Slide (ROI machine only)

  • ROI Solid Square Slide (ROI machine only)

  4. Select the needed options from the Calibrate area:

  • Pixel Size - Calibrates the pixel size at different magnification, so we can determine the size of a measured feature.

  • Camera Rotation - This option allows PC-DMIS Vision to determine if there is any rotation in the camera relative to the stage and makes the needed adjustments.

  • Parcentrality/Parfocality - When this option is selected, the parcentality/parfocality will be calibrated after the Field of View calibration. This process replaces the need for doing a Optical Center calibration. This option is only available when using the Hexagon Metrology Slide and when your machine is using a zoom lens. Use the "Optical Center Calibration" for machines using a fixed (non-zoom) lens.

  • Accuracy - There are two methods for calibrating Parfocality/Parcentrality. Normal will do the calibration on the same rectangles that were used for the FOV (pixel size) calibration and is quicker to do. High will do the calibration on the concentric circles on the calibration standard. This will give better quality results, but will take longer to perform.

  5. Select the Calibration Settings:

  • Illumination - Select the Illumination source. Calibration is usually best done using bottom/sub stage lighting as the edge contrast is sharper. Select <Current> to use current illumination settings and not change the illumination during calibration. This is useful for CMM-V.

  • Focus - Lens N.A. (Numeric Aperture) - Specify the numeric aperture of the current lens if known, otherwise leave this box blank. This value allows the calibration program to optimize the focus used during the calibration.

  • Focus - Range - Specify the focus range if no Numeric aperture is given. This provides the range over which the focus will be done.

  • Auto Range - Select this checkbox to auto calculate best range to use for focus. This option may not be available on all systems!

  6. Click the Calibrate button. A message box appears stating that your calibration standard must be clean and aligned with the X axis. You must also ensure that the standard is face up.

Caution: Although the calibration processing employs noise and dirt rejection techniques, a dirty calibration standard may trigger calibration failures or yield less accurate measurement values. Be sure to clean any dust, dirt, fingerprints, or other material from the calibration standard's glass portion. A mild non-depositing cleaning solution, such as rubbing alcohol, and a soft, lint-free cloth are commonly used. Be sure to also clean the stage glass where you will place the calibration standard. For proper cleaning techniques, refer to your hardware documentation. If the stage carrying the glass standard will move during the calibration sequence, you should gently hold the standard to the stage with clay or putty.

  7. Place the calibration artifact on the stage so the length of the standard runs along the X axis of the machine. For the ROI slides, ensure that the larger targets are on the left (-X direction) and the smaller targets on the right (+X direction). Verify the alignment with the X axis by watching the horizontal line on the standard while traversing the stage X axis. The line should remain in the field of view and ideally very near center.

  8. Click the OK button. Additional messages appear requesting that you center the target.

  9. Place a target so that it completely fits within the camera's view. This target should be roughly centered within the field of view and focused. The focus does not need to be optimal, just a good starting place for the software focus process.

  10. Click the OK button and if you have a DCC machine, it will automatically focus on the target. If you have a manual machine it will ask you to focus on the target.

  11. Use the manual controls to move the optical measuring system until you roughly center the rectangle or square calibration standard in the field of view. PC-DMIS determines the target size based on your optics.

Important: Do not change the Z position or the focus during the rest of the calibration procedure.

  12. Click the OK button after you have centered the target. The calibration process will automatically begin.

  • If the machine supports DCC illumination control, and an illumination lamp has been selected in the Illumination field, PC-DMIS Vision performs a lighting grayscale adjustment where it measures the target (or series of targets) across the range of magnifications.

  • If the system has Manual Illumination control, you will be prompted to increase or decrease the illumination level as required.

  • The system moves to the next target as needed, or on a manual-only stage, PC-DMIS Vision prompts you to move to the next target. When it prompts you for manual movement of the stage, you should make the X and Y values displayed in the message box as close to zero as possible.

  • If the High Accuracy Parcentrality/Parfocality option has been selected, PC-DMIS Vision will ask you to "Align the Hexagon Standard Concentric Circle in Target". Align the circle as depicted in the image below and click OK.

Target centered on Concentric Circles of Hexagon Standard

The Calibration Process will continue by focusing and taking a series of measurements at different magnification levels. This will establish that the optical center and focal depth coincide through the focal range (i.e that if you focus and then measure a circle at one magnification, it will give the same XYZ position at another magnification).

  • If the Camera Rotation option has been selected, PC-DMIS Vision will measure the line at the bottom of the slide at different positions a number of times so we can identify the camera to stage rotation. If the rotation angle calculated is greater than 5 degrees, a warning will be displayed indicating that the hardware should be physically adjusted to make the angle smaller. It will allow you to still apply the calibration to compensate, but it’s recommended to get the physical wrist/camera adjusted to the stage. This option is only available when using the Hexagon Metrology Slide.

  • A message appears once the selected calibrations have finished.

  13. Click the Close button to close the Calibrate Field of View dialog box.

You have now calibrated the Field of View. Repeat this process for each lens you wish to use on the machine.

CMM-V Note: On a CMM-V camera, you just need to calibrate the FOV for the A0B0 wrist angle. You may wish to place some reflective white paper on the CMM, and rest the calibration slide on two 20mm slip gages.


Calibrate Illumination

This calibration procedure allows you to calibrate the lamps for your machine. Lamp calibration ensures that the illumination range is linear, and that changing magnification on zoom cells will not significantly change the illumination on the part within the capability of the hardware.

You should calibrate your optical system's lighting at these times:

  • Whenever you change or replace a lamp you should recalibrate that lamp

  • Whenever you have a significant change to the lighting within the room

  • Periodically throughout the life of the lamp

  • When you change a brightness or gain setting on the camera.

  • When the optics are replaced.

  • When the zoom cell is repaired.

  • When the camera is replaced.

To Calibrate lamps:

  1. Select Calibrate Illumination from the drop-down list on the Calibrate Vision Probe dialog box.

  2. Click Calibrate. The Calibrate Illumination dialog box appears.

Calibrate Illumination dialog box

  3. The calibration date for each lamp is shown in parenthesis.

  4. Select the check box next to the lamp that needs to be calibrated.

  5. Prepare for calibration as directed according to the lamp type:

  • Sub-stage (bottom/profile) lamps require the stage to be cleared during calibration, with the image focused on the stage.

  • Top (surface/ring) lamps require an artifact or piece of paper to be in the Field of View, with the image focused on the surface.

  6. Click Calibrate. The calibration process begins. The process takes several minutes.

  • During calibration on systems with a zoom cell, PC-DMIS Vision selects different magnifications for illumination measurement as indicated by the Magnification Step value. This value displays the current magnification and corresponds to the value displayed in the Magnification tab of the Probe Toolbox.

  • The calibration also sets the illumination intensity corresponding to the different commanded illumination values at different magnifications. The Lighting Grayscale indicates the intensity of this illumination. The values range from 0 (black) to 100 (white).

Calibration Illumination - In Progress

  • Once the calibration is complete the Calibrate Illumination dialog box displays the new date for the calibrated lamp.

  7. Click the Close button or complete steps 4 through 6 to calibrate another lamp.

  8. The Abort button is only available during a calibration. This button stops the calibration, aborts any data collected during the process, and reinstates any pre-existing calibration files for the current lamp.


Calibrate Probe Offset

This calibration procedure allows you to determine the probe offset for your Vision probe. PC-DMIS Vision also allows you to calibrate multi-sensor configurations with different probe tip types. For example, a Vision probe and Contact probe are measured against the same tool(s) to establish a common offset frame of reference. The calibrated offset values for each tip are cross-referenced in relation to a common tool, such as a ring gage or sphere. See the "Relationship of Tips and Tools" topic for more information.

Calibrating tip types (be they all contact or a mix of contact, vision, and laser) against a common tool or standard allows measurements taken with one tip to be used with measurements taken by a different tip.

Probe Offset Calibration is used when:

  • You have a touch probe and video probe on your measuring system.

  • You have multiple video probes with different magnifications (e.g. a 1X and a 2X lens).

It does not matter which probe type you calibrate first, though on a CMM, you would usually calibrate the Touch Probe first. During calibration of the second probe you must answer No to the question, 'Has the qualification tool been moved or has the Machine Zero point changed?'.

Once the tool position on stage is known and the probe tip offset has been calibrated once from the Probe Utilities dialog box, an AutoCalibrate Active Probe step can be added in the part program to calibrate the probe offset as part of a part program. As with a contact probe, the AutoCalibrate execution for a Vision probe will based on the specified parameter set.

See the "A Note on Probe Definitions" and "Considerations for Vision probes" topics for more information on Vision probes.

Note: Probe tip offset calibration has been expanded to support calibrating the contact probe and vision probe offset using a sphere or ring tool. The usage follows the general rules for tip offset and diameter calibration.

Before you begin Vision probe calibration, be sure to calibrate the optical center (if a zoom cell), field of view, and illumination for your Vision probe. In this example we will use a ring tool for measurement.

To ensure the highest accuracy, you should use the highest magnification to calibrate the vision probe offset.

To calibrate the Vision probe offset:

  1. Identify a Z measurement point of the face of the ring. The position of this point is defined in machine coordinates and is relative to the top center of the ring gage bore. This can be done using the "Probe Toolbox: Gage tab". These values are used when adding a ring tool.

  2. Select Calibrate Probe Offset from the drop-down list on the Calibrate Vision Probe dialog box.

  3. Select the needed tool from the List of Available Tools or click Add to define a new tool.

For Example: A 20mm ring tool might be specified with the following values:

• Tool ID: 20mm Ring
• Tool Type: RING
• Diameter: 20
• Z Point Offset X: 15
• Z Point Offset Y: 0
• Z Point Offset Z: 0
• Datum Depth Start: 1 (to accommodate the chamfer on the ring bore)
• Datum Depth End: 14
• Focus Offset: -0.5 (provides distance in Z from the top surface to the bore circle focus height)

See "Appendix B: Adding a Ring Tool".

  4. Click Calibrate. This opens the Calibrate Probe Offset dialog box.

  5. Set the following parameters as needed.

Operation Mode - Select either the Default Mode to use the default values of User Defined to alter the values.

Motion - Man+DCC mode requires that 3 manual points be taken at the start of the sequence whether or not you indicate that the tool position has changed. The remaining points will be taken automatically. DCC mode takes all points automatically unless you indicate that the tool has moved.

Start Angle - Angle in degrees in a Cartesian coordinate system as seen when looking down or –Z. A start angle of zero would be aligned to the +X. A start angle of 90 would be aligned to the +Y axis. Default value is 0

End Angle - Angle in degrees in a Cartesian coordinate system as seen when looking down or –Z. An end angle of zero would be aligned to the +X. An end angle of 90 would be aligned to the +Y axis. Default value is 359.

Note: The Start and End Angle specified here are different than the angle used for the contact probe and a sphere tool, which relates to the angle from the sphere equator to the pole.

Zones - Defines how many equally sized zones are to be created inside the start angle to end angle region. Default is 8.

Zones Coverage - Defines what portion of a zone will be measured. The portion will be at the center of each zone. Default is 5%.

Note: The start angle, end angle, number of zones, and Zones Coverage percentage together will define the location and size of the vision measurement targets around the circle. For larger circle sizes and higher optical magnifications, significant speed improvement can be achieved by reducing the Zones Coverage percentage. See the " Sample Vision Circle Targets for Calibrate Probe Offset Parameters" topic.

Z Samples - The number of Z samples that will be taken to compute the Z position. Default is 5.

Illumination XY - indicates which illumination source to use for the XY measurements. Normally bottom or substage illumination is used for ring gage bore edge. This value can also be set to <Current> to use the current illumination settings.

Illumination Z - indicates which illumination source to use for the Z measurements. Normally top or ring for ring gage surface. This value can also be set to <Current> to use the current illumination settings.

Note: Using <Current> for either of the illumination settings includes whether bulbs are on or off for Ring lamps.

Tip: If you find illumination settings that work well for calibration, create an illumination Quick Set, so that these settings can be quickly recalled.

Parameter Sets - Allows you to create, save, and use saved sets for your Vision probe. This information is saved as part of the probe file and includes the settings for your Vision probe. This parameter set can be retrieved for later calibrations, including the auto-calibration part program feature.

To create your own named parameter sets:

  • Modify any parameters on the Calibrate Probe Offset dialog box.

  • From the Parameter Sets area, type a name for the new parameter set in the Name box and click Save. PC-DMIS displays a message telling you that your new parameter set has been created. You can easily delete a saved parameter set by selecting it and clicking Delete.

  6. Click Calibrate.

  7. Select Yes if PC-DMIS has not measured the actual tool location on the stage. Select No if the tool has already been measured with a different probe type.

  8. Click OK on reminder that tip must be calibrated.

  9. If the tool has moved or Man+DCC motion is selected, take the 3 manual cross hair points evenly around the top of the datum bore circle, adjusting the stage position, including focus, as needed. The remainder of the calibration sequence will execute automatically. It will focus on the bore top edge, measure the bore circle, move to the Z focus offset relative to the bore, and do the Z position focus measurements. The probe tip offset data will be updated with the measured offset based on the ring tool measurement. This measurement will determine the XYZ location of the tool on the stage if the tool was said to have moved.

More:

Sample Vision Circle Targets for Calibrate Probe Offset Parameters

Contact Probe Offset

CMM-V Probe Offset

Relationship of Tips and Tools


Sample Vision Circle Targets for Calibrate Probe Offset Parameters

The filled or cross hatched areas in the following examples in the circle target indicates where no edge measurements will be taken.

Example 1

This example is more suitable for larger ring diameters and higher magnification optics where execution speed is to be kept low.

Target pattern start angle of 0, end angle of 358, 8 zones, and 5% zone coverage

Example 2

This example is more suitable for larger ring diameters and higher magnification optics where longer execution speed is acceptable for a more repeatable measurement.

Target pattern start angle of 0, end angle of 358, 16 zones, and 10% zone coverage

Example 3

This example is more suitable for smaller ring diameters and medium to lower magnification optics.

Target pattern start angle of 0, end angle of 358, 8 zones, and 50% zone coverage


Contact Probe Offset

Calibrating the Contact probe offset using the same tool that was used to calibrate your Vision probe establishes a common offset frame of reference.

To calibrate the Contact probe offset:

  1. Select the Insert | Hardware Definition | Probe menu item.

  2. Define the contact probe and tip in the Probe Utilities dialog box.

  3. Select Measure. to open the Measure Probe dialog box.

  4. Specify the following values in the Measure Probe dialog box:

    • Motion: Man+DCC

    • Type of Operation: Calibrate Tips

    • Calibration Mode: User Defined

    • Start Angle: 0

    • End Angle: 359

    • List of Available Tools: 20mm Ring (Select the same tool as was used for determining the Vision probe offset)

  5. Select Measure. When asked if the tool has moved, click No this time. This tells PC-DMIS that it does know the actual tool location on the stage.

  6. Click OK on the tip reminder message box.

  7. A message box will prompt you to take 1 hit on the tool face below or in the –Y direction from the bore center. Select OK and then take the contact point. The calibration routine will then do a course bore measurement, a face plane measurement, a more precise bore measurement, and then Z offset point measurements.

Now both probes have measured the tool and have offset values based on the same tool position data.


CMM-V Probe Offset

To calibrate a CMM-V Probe Offset, do the following:

  1. Create a touch probe with all the angles at which measurements will be taken with your CMM-V vision probe.

Note: Your touch probe must be a star probe with at least 3 tips.

  2. Calibrate all specified touch probe angles on a sphere.

  3. Measure the A0B0 touch probe angle on a ring gage.

  4. Measure the A0B0 video probe on the same ring gage, answering “No” when asked if the tool has moved.

  5. Click Add Angles when you have the CMM-V probe selected. Rather than showing the standard Add Angles dialog, it will prompt you with a list of touch probes.

  6. Select the touch probe you have calibrated on the sphere, and press OK. PC-DMIS Vision will automatically add those angles and calibrations to your CMM-V video probe.


Relationship of Tips and Tools

The probe tip offset calibration is based on the position of the tool on the stage. When a tip is calibrated and the tool is said to have moved, the tool position on the stage is determined based on the tip offset. If the tip has not yet been calibrated, then the nominal tip offset from the probe.dat data is used.

It may be important to maintain a common frame of reference for the tip offset calibrations. When multiple tips are calibrated using a common tool, the tips have the same offset frame of reference. This frame of reference can be extended to a second tool by saying the second tool moved and doing a tip offset calibration with a tip calibrated on the first tool. Feature locations measured with tips in the same frame of reference should yield the same answer (within the equipment measurement capability). If you calibrate a tip on a tool that is not in the same frame of reference and do not say the tool moved, the tip calibration frame of reference is changed to the tool. Features measured with tips calibrated in different frames of reference may yield the dramatically different answers.

Consider a new system where no probes or tools have been calibrated where a sphere and a ring tool are used for tip calibration. Calibrate the contact probe using the sphere tool and say the tool moved. Then calibrate the same contact probe on the ring gage and say the tool moved. The two calibrations for the contact probe tip establish the reference between the tools and the contact probe tip. Now, calibrate the vision probe tip on the ring gage. The contact probe tip and vision probe tip will now have the same offset calibration frame of reference. The offset calibrations of the two probes with the two tools are linked because the probe that had its offset calibrated on the sphere tool was calibrated on the ring tool when the ring tool was said to have moved. Because the ring tool was said to have moved (or its position is unknown), when the contact probe tip was calibrated using the ring tool, the position of the ring tool on the stage was determined based on the contact probe tip’s measured offset. The contact probe tip's offset was used to determine the stage position of both tools and then the vision probe offset was based on the stage position of one of these tools.

The two probe tips would not be cross referenced if the contact probe tip had been calibrated on the sphere tool and then the vision probe tip had been calibrated on the ring. If the contact probe tip were calibrated on the sphere tool, the vision probe tip calibrated on the ring tool, and then the contact probe calibrated on the ring tool, the two probe tips would be in the same frame of reference, but this would be a different frame of reference than the sphere tool or any probe tips previously calibrated on the sphere tool. This is because the vision probe tip was used to determine the ring tool’s position when it was said to have moved, but the vision probe tip had not been calibrated on the sphere tool. The contact tips frame of reference was changed to match the ring tool. To maintain the linkage of tips across tools, whenever a tool is said to have moved (which also means a tool whose position is unknown), the calibration tip used on the just moved tool must be in the frame of reference of the first tool.

You can only calibrate the bottom tip of a star tip contact probe on the ring gage. A sphere tool or a sphere tool in combination with a ring gage can be used to provide cross referencing between the probe star tips and the vision probe. Normally this cross referencing would be done by calibrating all contact probe star tips on the sphere tool. Then calibrate the bottom tip on the ring tool saying that the tool had moved. Then calibrate the vision probe(s) on the ring tool. You can then calibrate contact tips on the sphere tool and vision probes on the ring tool.


A Note on Probe Definitions

When PC-DMIS calibrates the Vision probe in DCC mode, it uses existing measurement data or, if that is not available, the nominal values from the probe definition. PC-DMIS stores standard probe definitions in the probe.dat file, whereas machine specific probe definitions can be created in the usrprobe.dat file. Probe.dat files may be deleted or replaced during a PCDMIS uninstall or version upgrade installation, but he usrprobe.dat file will not be deleted or replaced.

Since the positioning tolerances to have the tool in the field of view and in focus for high magnification systems can be very small, creating data in the usrprobe.dat provides a means for fine tuning the default probe attributes. Machine specific default tip offset values may be necessary to provide the more accurate nominal offset information.


Considerations for Vision Probes

Contact probe hardware tends to be an assembly of well defined mechanical components (probe mount point, probe body, probe module, probe tip) with predictable mount point and nominal tip offsets where position variances can be handled by the probing motion. However, Vision probes are normally less predictable, as they often have non-standard mounting hardware, variances in the working distances, hardware adjustment or calibration, etc. Because of this it may be more difficult to find the desired target with probing motion. The vision probe does not scan the way contact probes to, so the variance are more noticeable.

Some machines may also have adjustable probe mounts that make the probe position unpredictable in the default probe.dat definitions. Because of such tight tolerances from higher magnifications or machine variances, you may need to do a manual+DCC execution the first time the probe offset is calibrated on a new probe tip, even if the tool position is known. This will provide high quality measured offset data for subsequent tip offset calibration sequences, as the measured tip offset will be used instead of the nominal.

Unlike most CMMs, most vision multi-sensor machines do not have a single standard end of arm probe mount. Instead they have a Z column that provides a proprietary mount for the optics and a standard mount for the touch probe. In order to define the nominal probe offset values with accurate relative offsets, an adaptor component will often be used in the probe.dat or usrprobe.dat definition. This adaptor defines the offset between the machine probe reference point (such as end of ARM) and the probe. For example, if you were to select the zoom cell lens face as your reference point, you would need an adaptor component that defined the offset distance from the zoom cell lens face to the touch probe mount point. Then to define a touch probe, you would select the adaptor, then the probe (such as a TP200), then the stylus. When done the nominal probe offset between the vision probe and the contact probe would approximate the hardware.


Calibrating the Vision Stage

The Vision Stage Calibration utility is used to generate and apply XYZ error correction factors on vision machines. The calibration process consists of one or more calibration runs and one or more verification runs for each axis. The average data of all calibration runs is used for verification and generation of the compensation file.

Note: This calibration, unlike the others, is NOT zoom cell specific. This is a machine level calibration.

Upon completion, a new compensation file will be created. The new compensation data will be applied the next time that PC-DMIS starts.

Continue with the following steps to complete the stage calibration process:

Step 1: Begin th e Calibration Process

Step 2: Stage Calibration Setup - General tab

Step 3: Stage Calibration Setup - Standards tab

Step 4: Stage Calibration Setup - Report Information tab

Step 5: Running Stage Calibration

More:

Vision Stage Calibration Dialog Box Options


Step 1: Begin the Calibration Process

To calibrate your Vision Stage:

  1. Select the Edit | Preferences | Machine Interface Setup menu option to open the Machine Options dialog box.

Machine Options dialog box—Motion tab

  2. Select the Motion tab.

  3. Select the Volumetric Compensation Method. For the BNS method, you must use the Filename of “comp.dat”.

Note: Currently only the BNSMethod is available.

  4. Click the Calibrate... button. This button is available only if the portlock has the Service Engineer option enabled.

Note: The Calibration Date for the last completed stage calibration is shown.

If the last calibration session was cancelled, you will get the prompt below.

  5. Click Yes, If you know the content and wish to use the partial calibration data. The utility will try to resume the previous stage calibration by restoring the data collection, settings, etc. Click No, to begin a new stage calibration. You will then be prompted to open the Setup dialog box.

  6. Click Yes, to open the Vision Stage Calibration Setup dialog box (see "Step 2: Stage Calibration Setup - General tab"), or No to go directly to the Vision Stage Calibration dialog box (see "Vision Stage Calibration Dialog Box Options").

Go to the Next Step...


Step 2: Stage Calibration Setup - General tab

The General tab contains basic settings for the Vision Stage Calibration process.

Vision Stage Calibration Setup dialog box - General tab

Axis: The state of the axis check boxes defines a complete process of a Vision Stage Calibration. Therefore, for each check box that is selected, that axis must be calibrated for the stage calibration to be considered complete. If XY check box is selected, then the X and Y axes will be calibrated and verified at the same time using a Grid Standard. XY and X, Y check boxes are mutual exclusive, if XY is checked, the X and Y check boxes will be disabled, and vice versa.

Units: Selects the units to be used in the display for the calibration sequence. This is independent of the current units in the PC-DMIS part program or the units for any of the calibration standards.

Auto Continue: When this option is not checked, the Vision Stage Calibration will pause between Calibration runs and Verification runs for each axis, and it will also pause between each axis. In both cases, the user will need to manually click on Start Run button to continue the process. If Auto Continue is Checked, then process will continue automatically without needing to click Start Run button in above described two cases, so the process is fully automatic.

Auto Fill Std Value: This option is set to have any known standard certification data automatically entered during the calibration and verification processing. To use this feature, data must be entered in the Standard tab to define the standard for the axis.

IP with Auto Focus: When calibrating in X and/or Y, PC-DMIS Vision will perform an auto focus before each edge detection.

Motion: The motion type of your Vision stage is selected; Manual or DCC.

Edge Detection: If the Manual option is selected, then user must manually align a Crosshair tool on the screen or using other manual devices to the intended target on the Calibration Standard, and then click on Record Point to correct the data. If Automatic is selected, an automatic edge detection tool will be used to detect the target on the Calibration Standard. To use Automatic Edge Detection, the system must have valid Field of View Calibration.

Focus

Mode: Mode used for the Z measurement.

  • DCC is an automatic DCC focus sequence. This would normally be used on a DCC machine with hard gages.

  • Assisted Manual will have the user moving the stage as the software analyzes the image for optimal Z focus. This would normally be used on manual machines with hard gages.

  • Manual is manual stage motion and no software image analysis. This would normally be used with gages and a dial indicator or with an interferometer.

Sample Size: Determines how many focus values will be taken to determine a single Z position.

Range(mm): This defines the motion range in millimeters. This applies to DCC focus only.

Time (seconds): Provides the focus motion time or duration in seconds. This applies to DCC and Assisted Manual focus.

High Accuracy Pass: Indicates if additional adaptive processing will be done in an attempt to get an improved focus. This applies to DCC mode only.

Go to the Next Step...


Step 3: Stage Calibration Setup - Standard tab

The Standards tab contains settings which allow you to associate standard certification with a file and axis.

Vision Stage Calibration Setup dialog box - Standard tab

Axis: Specifies the axis to which the certification data applies.

Open: Used to open or import an existing standard certification file to be used for the selected axis.

Edit: Used to bring up the Standard Properties dialog box to edit the standard certification file data.

Save: Used to save the standard certification data to a file. Note that this can be used to save data that was entered in the Standard column during the calibration or verification runs. For example, if you processed the X axis and entered the X axis data, you could save the data to file, select the Y axis, and open the file to use the standard data from the X axis for the Y axis calibration.

The Standard Properties dialog box is launched from the Edit button.

Standard Properties dialog box

Description: A short description of the calibration standard, such as 100 millimeter linear. This will be used in generating the calibration certification document.

Serial Number: The standard serial number is used in generating the calibration certification document.

Units: Used for setting the units of the calibration standard.

Temperature

Compensation: To compensate the expansion of the Standard due to temperature difference between temperature when Vision Stage Calibration is performed and the temperature when the Standard is certified. Compensation will be applied when this option is selected.

Coeffecient: Linear coefficient of thermal expansion of the Standard. Type the value that is found in the Standard Certification document.

CertTemp(C): The reference temperature of Standard certificate data. Type the value that is found in the Standard Certification document.

Date: Specifies the certification data of the standard. This will be used in generating the calibration certification document.

Data: Certification values for the standard. This standard can then be associated with an axis to allow automatic data entry and reuse. The first value would normally be zero, as that would be the starting point on a hard gaging certification.

Note: Editing the Data list follows standard Windows list box editing. If you don’t see an edit box in the list, click at the bottom of the list. An edit box will appear as shown in the Standard Properties dialog box image.

Insert: Used to insert a blank row before current highlighted row in the Data list.

Delete: Used to delete current highlighted row in the Data list.

Go to the Next Step...


Step 4: Stage Calibration Setup - Report Information tab

The Report Information tab allows the entry of basic calibration process information. This will be used in generating the calibration certification document.

Vision Stage Calibration Setup dialog box - Report Information tab

Technician: Technician name and company conducting the calibration.

Machine: Machine description, make, model, etc.

Serial Number: Serial number of the machine being calibrated.

Notes: Enter descriptive information about the calibration, such as any environmental information, possible machine anomalies, etc.

Go to the Next Step...


Step 5: Running Stage Calibration

After setting up the calibration, run the calibration and verification sequence. See the "Vision Stage Calibration Dialog Box Options" for additional information about the calibration options.

  1. Select the Axis of the stage axis being calibrated.

  2. Select the Compensation Factor to be used during calibration.

  3. Select the Method for how the Factor will be compensated. For example, a linear calibration can be done using a Linear or Segmented Linear method.

  4. Select Calibrate for the current processing Mode. During Calibrate mode the data is being collected. Verify will be selected in Step 9.

  5. Current Run shows the active calibration run.

  6. Click Start Run to begin the stage calibration.

  • You may be prompted to align the standard to the stage. This supports proper alignment of linear standards.

  • You may be prompted to move to the zero position on the standard and zero out the stage position. Doing so will synchronize the dialog relative position display with the standard values and make the data easier to understand.

  7. Move to the zero position on the standard.

  1. If not automatically entered from standard definition in the Stage Calibration Setup dialog box, enter the standard value into the Standard column in the Data list box.

  2. Position the stage and crosshair to the standard target position (This step is used if Edge Detection is not DCC).

  3. Select Record Point. If doing Z axis points based on focus, a Focus dialog box will be displayed for doing the focus processing.

  4. Repeat this for subsequent standard targets until all of the targets have been taken or the stage axis has been traversed.

  8. Select Finish Run. You will be asked if you are done with this run or if you need to reposition the standard and continue. This is sometimes necessary when the standard is smaller than the stage travel.

  9. Change the Mode to Verify if this was not done automatically. During Verify the error correction is being applied.

  10. Repeat the steps 6 through 8. This will run the data collection sequence with error correction applied. It is suggested that you do 3 verification runs.

  11. Repeat the Calibrate and Verify sequence for each axis (Steps 1 through 10).

  12. When completely finished, select the OK button to finish. A basic certification summary file, CERT.TXT, of the calibration process will be created in the PCDMIS install directory (normally C:\Program Files\WAI\PC-DMIS V41).

  13. To have the correct values applied, stop and start PC-DMIS.

See the "Vision Stage Calibration Dialog Box Options" topic for more information.


Vision Stage Calibration Dialog Box Options

Vision Stage Calibration dialog box

Setup Parameters: Provides an overview of the parameters that will be used during the Stage Calibration. Click Setup to make changes to these parameters.

Axis: The stage axis being calibrated.

Factor: The compensation factor being calibrated.

Method: Method is how the Factor will be compensated. For example linear calibration can be done using a Linear or Segmented Linear method.

  • Linear will use a single error compensation factor for the entire travel of the stage. This is normally used on stages which do not have repeatable home positions.

  • Segmented Linear will use a different compensation factor for each segment or zone of the axis travel and needs a repeatable machine position initialization.

Mode: The current processing mode, either Calibrate or Verify. During Calibrate the data is being collected. During Verify the error correction is being applied.

Desired Runs: The number of runs that are planned to take place.

Run: Displays the active run.

Max Error: Displays the maximum error.

Max Error (Corrected): Provides an estimate of the maximum error with the current best correction factor applied.

Position Area

Zero: Sets the relative position to zero. It can be useful to move to the zero position on the standard and zero out the position display. This way the Relative position display will very closely match your standard during processing.

Absolute/Relative: This toggle button indicates the current position display mode. The current position display value is indicated by the button label.

XYZ values: Displays the current stage position.

Stage Calibration Control Buttons

Start Run: Begins the data collection sequence as defined by the axis, factor, method, and mode.

Abort Run: Stops the current data collection run.

Finish Run: Completes the current data collection run. If a run has already been executed for this axis, the data completion processing will happen automatically on subsequent runs when the data count has been repeated.

Delete Run: Deletes the run as specified by the axis, factor, method, mode, and run.

Delete Point: Deletes the last point of the current data collection run.

Record Point: Takes the standard value entered, records the stage position, and adds this to the data collection.

OK: Signals that the calibration sequence has been completed and that the calibration data should be applied in PC-DMIS.

Cancel: Cancels the calibration session. If you cancel and restart the stage calibration sequence, the utility will try to resume where you left off last. The data collection, settings, etc will be restored to when you last cancelled out of the utility.

Setup: Opens the Stage Calibration Setup dialog box.

Data List Box: Shows the Standard value, Uncorrected Position value, and Variance value for the current data collection. As you change the axis, factor, method, mode, and run, the display will show the corresponding data collection.


Using the Probe Toolbox in PC-DMIS Vision

Probe Toolbox showing the available Vision related tabs

Display Menu Roadmap The View | Probe Toolbox menu option displays the Probe Toolbox.

The Probe Toolbox is not specific to PC-DMIS Vision, but is part of the standard PC-DMIS software. This toolbox presents tabs and information relative to the type of probe currently being used. When a vision probe is active, the Probe Toolbox contains various Vision probe parameters used to acquire the data points needed by part programs.

Important: Your portlock must be programmed with the Vision option and a valid Vision Probe Type selected, and you must be working with a supported Vision probe in order to access the various PC-DMIS Vision related tabs.

The Probe Toolbox contains the optical parameters within these tabs:

  • Position Probe

  • Hit Targets

  • Magnification

  • Illumination

  • Focus

  • Gage

  • Feature Locator (available only during program execution)


Probe Toolbox: Position Probe tab

Probe Toolbox—Position Probe tab

The Position Probe tab allows you to position the probe/camera so it is over the feature to be measured, as a form of “Virtual Joystick”.

To Position Your Vision Probe:

  1. Adjust the Increment Value in the Increment edit box [image] to specify the amount that the Current Position edit box will be increased or decreased.

  2. Click the Up and Down arrows to change the value in the Current Position edit box [image]. This will cause your Vision Probe to move in real time by the specified value. Alternately, you may type the value and hit enter to cause your Vision Probe to move.

For machines with multiple axis (e.g. two rotary tables), it also allows the currently active rotary table to be selected.

If you don't see any information in the Probes and Probe Tips lists of the Probe Toolbox, you need to first define a probe. See the "Defining Probes" section in the main PC-DMIS help file on how to do this.

Note: Since you can use this tab with all probe types (contact, laser, or optical), this help file only covers PC-DMIS Vision related items. For information about the toolbox as it relates to probes in general, see "Using the Probe Toolbox" in the main PC-DMIS help file.

Position Probe Tab Icons:

Clicking the Remove Hit icon removes the anchor point hit you just took using the left mouse click. This button remains disabled until you have entered an anchor point hit.

Clicking the Probe Readout icon displays the Probe Readout window. You can easily resize or relocate this window. See the "Using the Probe Readout window with Optical Probes" topic.

The Toggle Laser On/Off button is available for systems with laser probe or laser pointer fitted (e.g. TESA VISIO 300). This button toggles the laser on and off.

More:

Using the Probe Readout window with Optical Probes

A Note on Optical Tips


Using the Probe Readout window with Vision probes

Probe Readout window

Most information on the Probe Readout window is the same for all probe types and is already discussed in the "Using the Probe Readout Window" topic of the "Using Other Windows, Editors, and Tools"section in the main PC-DMIS help file. However, if you use a Vision probe, these additional readouts appear in the window:

Mag This value shows the current camera magnification setting. Any changes you make in the Magnification tab are reflected on this line of the Probe Readout window. See the "Probe Toolbox: Magnification tab".

VX / VY / VZ If you are using a Vision probe, the X, Y and Z values indicate the co-ordinates of the cross hair at the center of the field of view (FOV). The VX, VY and VZ values indicate the feature Target or Gage location with respect to the current alignment.

DX / DY / DZ The DX, DY and DZ values indicate the difference between the camera and feature position. You must have the Distance to Target option selected in the Probe Readout Setup dialog box for these values to be displayed. For more information, see the "Setting Up the Readout Window" in the "Setting your Preferences"section of the main PC-DMIS help file.

Probe Readout Setup dialog box showing the Distance to Target check box


A Note on Optical Tips

The concept of a Vision probe parallels a contact probe to a certain point. Obviously a Vision probe doesn't come in physical contact with the part, but both contact probes and optical probes use the term "probe tip" to specify various positions of an articulating probe head. The actual tip on a Vision probe contains the optical device (the camera).

If you select a probe from the Probes list or a probe tip from the Probe Tips list, PC-DMIS Vision inserts a LOADPROBE/ command or a TIP/ command respectively into the Edit window.

When PC-DMIS Vision executes these commands, it performs its associated probe definition.


Probe Toolbox: Hit Targets tab

Probe Toolbox—Hit Targets tab

This tab only appears when you define and use a supported Vision probe.

The Hit Targets shows the edge detection and focus parameters that will be used to measure a feature.

When using a Vision probe you will want to make adjustments and test your targets. This option also allows you to split the default target to into sub-targets, each with its own set of parameters. For example, you can measure a circle using the default single target or split the circle into individual arcs each with their own set of target parameters. These target parameters include edge detection method, illumination, point density, etc.

Targets are displayed in both the Live View and the Cad View. While it’s possible to size the targets in either view, the targets are two dimensional so it's easier to do this on the Live View which also uses a two dimensional display of the part.

A feature’s targets and their associated parameters used are also displayed as a row in the tab's target list. You can define more than one target. If you select one or more targets from this list you can see them in bold formatting in the Live View tab of the Graphics Display window.

Double click on the items in the list to change the parameters for a target. You can change multiple targets at the same time by selecting multiple target rows in the Probe Toolbox and then right clicking.

More:

Available Parameter Sets

Using the Shortcut Menu

Hit Targets Buttons

Hit Target Color

Nominal Color

Measuring Features Using a Vision probe

Gage Hit Target Feature Parameters

Manual Hit Target Feature Parameters

Automatic Hit Target Feature Parameters

Automatic Hit Target Focus Parameter Set


Available Parameter Sets

You can change the parameter set to change which type of target parameters you are currently viewing.

Depending on the feature type that you are targeting, the parameter set option displays one or more of the available options: Edge, Focus, and Filter.

Edge: Defines the target edge parameters used for acquiring the edge points on the feature.

Filter: Defines any filters to be used on the acquired edge points, and their associated parameters. Filters can be used to remove any outliers from the set of edge points, and can also clean the image prior to measurement.

Focus: Defines whether the target should perform a focus prior to acquiring the edge points, and if so, what the focus parameters are.

Icon | Feature Type | Available Parameter Sets
 | Surface Point | Focus
 | Edge Point | Edge, Focus
 | Line | Edge, Focus, Filter
 | Circle | Edge, Focus, Filter
 | Round Slot | Edge, Focus, Filter
 | Square Slot | Edge, Focus, Filter
 | Profile 2D | Edge, Focus, Filter


Using the Shortcut Menu

From the Live View, if you right click on the target, a shortcut menu appears. This menu allows you to insert and delete segments or targets, reset hit targets, change the point density, test the edge detection of the currently selected target(s) and change hit target types.

Similarly clicking on the Live View tab, but not on a target will provide a menu to adjust magnification, capture the screen or open the Live Image Setup dialog box.

See the "Using Shortcut Menus" topic in the "Using the Graphics Display Window in PC-DMIS Vision" for more information.


Hit Targets Buttons

In addition to operating on the target from the Live View described above, the icons shown in the Hit Targets tab in the Probe Toolbox let you edit and test the targets used to measure the feature.

See the following table for a list of Target Edit Modes and what these icons do:

Define Target Icon

Description

The Lock Hit Targets to Part icon secures the size, position or rotation of the target.

The Center Hit Target icon centers the target or FOV. What actually moves depends on the status of the Lock Hit Targets to Part icon.

If first select the Lock Hit Targets to Part icon, and then select the Center Hit Targets icon, PC-DMIS Vision moves the current FOV to the target. This is only available on DCC Motion machines.

If you deselect the Lock Hit Targets to Part icon, and select the Center Hit Targets icon, the target moves to the current FOV.

The Insert New Hit Targets icon inserts a new target area. You can then set up different parameters for this specific area of the feature.

The Delete Hit Targets button will let you delete a previously inserted target from the feature.

The Reset Hit Target(s) icon deletes all of the previously inserted target areas from the feature, leaving the single default target.

The Test Hit Targets icon tests the automatic Target Edge detection for the currently selected target(s). PC-DMIS Vision displays any detected points in the Live View tab of the Graphics Display window.


Hit Target Color

To differentiate between features, or to ensure visibility on different types of surface, you can specify different colors for the feature hit targets, by selecting a color using the Hit Target Color list.

The Hit Target Color drop down box specifies that color that will be applied to the feature hit targets


Nominal Color

To differentiate between features, or to ensure visibility on different types of surface, you can specify different colors for the feature nominal, by selecting a color using the Nominal Color list.

The Nominal Color drop down box specifies that color that will be applied to the feature nominal line


Measuring Features Using a Vision probe

You can specify the measurement method to use by selecting it from the Target Type list in the Hit Targets tab. Depending on your feature type, there are up to three methods of taking a feature measurement using a Vision probe:

The following examples use a circle feature.

Method 1: Gage Hit Target – The Gage Hit Target manual method requires you to graphically size (or adjust) the feature (in this case a circle) and position it to match the feature on the Live View tab of the Graphics Display window. You can also view the image is within the tolerance bands. For a circle, this will give an X, Y position and the diameter. Parameters for this mode are discussed in the "Gage Hit Target Feature Parameters" topic.

Method 2: Manual Hit Target – The Manual Hit Target method requires you to position a specified number of points around the feature (in this case a circle). PC-DMIS Vision then uses these points to calculate the feature. Any number of targets can be used to aid in measuring the feature. Parameters for this mode are discussed in the "Manual Hit Target Feature Parameters" topic.

Method 3: Automatic Hit Target – The Automatic Hit Target method uses image processing to automatically detect a feature (in this case a circle). It then calculates the circle based on the defined targets. Parameters for this mode are discussed in the "Automatic Target Feature Parameters".


Gage Hit Target Feature Parameters

The following parameters appear in the column headings of the target list in the Hit Targets tab when measuring features using the Gage measuring method (see "Measuring Features Using a Vision probe" for available measuring methods):

Edge Parameter Set

To change a value, right click on the current value for the desired target. If a value says N/A, then that parameter is “not applicable” to the current set.

ID: This displays a unique identifier for the item in the target list. This same ID is used on the ToolTip for the target in the Live View tab of the Graphics Display window.

Illumination: This shows the illumination values to be used for this target. To change the illumination for a specific target, select the target in the Hit Targets tab, or on the Live View tab of the Graphics Display window, and change the illumination on the Illumination tab. For information on how to do this, see "Probe Toolbox: Illumination tab".Edge Parameter Set

Focus Parameter Set

See the "Hit Target Focus Parameter Set" target for information.


Manual Hit Target Feature Parameters

The following parameters appear in the column headings of the target list in the Hit Targets tab when measuring features using the Manual Target measuring method (see "Measuring Features Using a Vision probe" for available measuring methods):

Edge Parameter Set

To change a value, double click on the current value for the desired target. If a value says N/A, then that parameter is “not applicable” to the current set. To change a parameter for multiple targets at once, select the targets, and then right click on one of them and change the value. It will be updated for all.

ID: This displays a unique identifier for the item in the target list. This same ID is used on the ToolTip for the target in the Live View tab of the Graphics Display window.

Illumination: This shows the illumination values to be used for this target. To change the illumination for a specific target, select the target in the Hit Targets tab, or on the Live View tab of the Graphics Display window, and change the illumination on the Illumination tab. For information on how to do this, see "Probe Toolbox: Illumination tab".

Focus Parameter Set

See the "Hit Target Focus Parameter Set" target for information.


Automatic Hit Target Feature Parameters

The following parameters appear in the column headings of the target list in the Hit Targets tab when measuring features using the Automatic Target measuring method (see "Measuring Features Using a Vision probe" for available measuring methods):

More:

Edge Parameter Set

Filter Parameters Set

Hit Target Focus Parameter Set


Automatic Hit Target - Edge Parameter Set

To change a value, right click on the current value for the desired target. If a value says N/A, then that parameter is “not applicable” to the current set.

ID: This displays a unique identifier for the item in the target list. This same ID is used on the ToolTip for the target in the Live View tab of the Graphics Display window.

Density: This shows the hit density type for the current target. Available density types include:

  • None: Does not return points. Use this type when excluding a region on the target. Excluded regions are indicated with a cross-hatch pattern on top of the feature.

A target with an excluded region shown by the cross-hatch pattern

  • Low: Returns every tenth detected edge point. Use this density type if your feature form doesn’t change much in this area, or isn’t a critical area of your part.

  • Normal: Returns every fourth detected edge point for that feature type. This is the default density type.

  • High: Returns all detected edge points. Use this density type if your feature form changes drastically in this area or is considered a critical area of your part.

Under Scan: This defines (in current units) the under scan distance applied to non blending areas within a target (for example, a corner made from two edges). PC-DMIS Vision doesn't return any points from under scan areas on a target, and the display indicates the ignored area. PC-DMIS Vision will attempt to default the Under Scan value to an appropriate setting.

Edge Selection: PC-DMIS Vision attempts to find and use the most appropriate means of detecting an edge. Edge detection is performed on a number of scan lines perpendicular to the features edge; for each scan line, 0 or more edge points are detected and evaluated according to the following methods:

  • Dominant Edge: Often, when using the bottom lamp to illuminate the part, you can get best results by returning the dominant (or strongest) edge. The dominant edge is determined by using several techniques one of which includes localizing and comparing the differences between a line of pixels perpendicular to the edge (2) that is being evaluated. The dominant edge is determined by the location of the actual peak intensity change (4) along the width of the edge (3).

1: 8-Bit greyscale values, 2: Pixels perpendicular to edge, 3: Width of Edge, 4: Pixel Strength

  • Nearest Nominal: This method detects the qualified edge closest to the nominal edge. This provides that each point selected from the evaluated scan lines are independent from each other and are only based on the nominal. The nominal edge is represented by the dotted line within the target displayed in the Live View. This gives you an easy way to select a non-dominant edge for measurement.

  • Matching Edge: This method detects the edge whose size and location best matches that of the required feature. This is the default edge detection method. The Matching edge method looks at all the detected points on all scan lines as a whole, and tries to find those points that best fit a matched feature type (i.e., circle, or straight line). Because of this evaluation method, Matching Edge works well in situations that may not work well for the Nearest Nominal method.

Example: Matching Edge works well on the image that has more noise or with textured background. It also works well because the Matching Edge method can correctly select the right edge when the position of the feature varies from its nominal position.

See the "Troubleshooting PC-DMIS Vision" topic for steps that can be taken to speed up this Edge Selection type.

  • Specified Edge: This method goes in the currently defined scan direction and picks a specified edge from the detected edges whose strength value exceeds that of the edge strength threshold. The Graphics Display window shows the scan direction using a blue arrow in the target. You can reverse this direction to select edges in a preferred order.

Strength: This shows the edge strength threshold to use during the feature measurement. When looking for an edge, the software ignores edges with an assigned 'strength' below this threshold. You can change the predefined value to a new value with a range of 0-255. The larger the number, the stronger the edge. If PC-DMIS Vision does not return sufficient points on an edge, try reducing this value. If Vision returns a number of false edges detected, try increasing this value.

Note: The Strength Selection parameter is evaluated according to the Edge Selection type:

· Strength is not used when using the Dominant Edge method.
· For the Specified Edge, Nearest Nominal methods, all detected edge points have higher strength than the user defined strength parameter.
· For the Matching Edge method, edge points that have a greater strength than the user defined Strength parameter from all scan lines are used to find the feature that comes closest to the feature type being measured, once the feature is found, some edge points that have edge strength lower than user defined strength parameter may be used to fill-in and complete the feature edge.

Hit Target Direction: This value determines the direction that the algorithm will use to count to the specified edge number

Specified Edge #: This value shows what edge to use for the Specified Edge detection method recently discussed. You can specify a value of 1-10.

Edge Polarity: This value determines if the edge that is being viewed and found goes from black to white, white to black, or either.

Illumination: This shows the illumination values to be used for this target. To change the illumination for a specific target, select the target in the Hit Targets tab, or on the Live View tab of the Graphics Display window, and change the illumination on the Illumination tab. For information on how to do this, see "Probe Toolbox: Illumination tab".


Automatic Hit Target - Filter Parameter Set

To change a value, right click on the current value for the desired target. If a value says N/A, then that parameter is “not applicable” to the current set.

ID: This displays a unique identifier for the item in the target list. This same ID is used on the ToolTip for the target in the Live View tab of the Graphics Display window.

Clean Filter: This determines whether or not to removes dust and small noise particles from the image prior to edge detection. First a hybrid median filter with a kernel size of 5x5 is used to remove small dust, smaller than two pixels. Then other techniques are used to remove other dust with a size less than or equal to the filter Strength size.

Strength (Clean Filter): Specifies the size (in pixels) of an object, below which is considered to be dirt or noise.

Outlier Filter: This determines whether or not outlier filtering is required for this target

Distance Threshold (Outlier Filter): This specifies the distance in pixels that a point can be away from nominal before discarding it.

Note: Even though the Outlier Filter works at the pixel level, the edge points are measured at sub-pixel precision.

Std Dev. Threshold (Outlier Filter): This is an optional parameter that is applied after the first step of the Distance Threshold has been applied. Once a best-fit line or arc has been determined from the evaluated points in the first step, any points beyond the Std. Dev. Threshold will be discarded as outliers.

Note: For a line, all the points will be evaluated to determine the best-fit line. For more complex features, e.g. a Round Slot, the feature will be broken into fundamental line and arc segments (in the Round Slot example, 2 lines and 2 arc segments). A best-fit line or arc will be determined for each of these fundamental segments, with only the points that were found in that specific region of the feature being used.


Hit Target Focus Parameter Set

To change a value, right click on the current value for the desired target. If a value says N/A, then that parameter is “not applicable” to the current set. Adjustments to the focus parameter set can be made for Automatic, Manual, Gage and Optical Comparitor Hit targets.

ID: This displays a unique identifier for the item in the target list. This same ID is used on the ToolTip for the target in the Live View tab of the Graphics Display window.

Focus: This determines whether or not the target requires a pre-edge detection focus.

Range (Focus): This displays the range from the camera to the part. It specifies the distance (in the current units) over which to perform the focus. Using this value the machine searches in the Z direction for the best focal position.

Duration (Focus): This displays the number of seconds to spend searching for the best focal position.

Important: If your Range and Duration combination results are too fast when you do a focus, you will see a warning message overlaid on the Live View.

Dual Pass (Focus): This determines whether or not the machine should perform a second, slightly slower, pass-to attempt to improve the accuracy of the focal position. The second pass is optimized based on the image data of the first pass and the Numeric Aperture of the current lens.

Illumination-Adjust: This determines whether or not the machine should perform an auto-light adjust prior to focus, in an attempt to achieve optimal focus result. If set to NO, PCDMIS will set lighting according to the learned percentage and the brightness will not be adjusted automatically.

Laser: On systems with a laser device, the laser can be set to be on during the focus as on certain surfaces it can improve contrast for the focus algorithm.


Probe Toolbox: Magnification tab

Probe Toolbox - Magnification tab

The Magnification tab lets you change the current FOV camera magnification. It also provides a way for you to simultaneously view both the Cad View and Live View of the Graphics Display window. For information on using these tabs in the Graphics Display window, see "Using the Graphics Display Window in PC-DMIS Vision".

Two values for magnification are displayed – Optical and Actual.

Optical is the magnification size on the CCD array of the camera. This will not change when the Live View display is resized.

Actual is the magnification size on the Live View window. This will increase and decrease as the Live View window is made bigger and smaller.

When the Magnification tab of the Probe Toolbox is open, the Live View displays:

FOV=: This overlay value displays the size of the FOV in the part program units of measurement. This only appears on the screen when you have the Magnification tab selected from the Probe Toolbox.

[0]=: This overlay number reflects your current level of magnification (pixel size). As you zoom in closer to the part this number decreases in size. The closer the number approaches zero, the closer your machine approaches its maximum magnification. This only appears on the screen when you have the Magnification tab selected from the Probe Toolbox.

More:

Simultaneously Viewing the Cad View and the Live View

Changing the Magnification of the Part Image


Simultaneously Viewing the Cad View and the Live View

  • If you select Cad View, the Probe Toolbox contains a mini version of the Live View.

  • If you select Live View, the Probe Toolbox contains a mini version of the Cad View.

Example of the Live View displayed in the Probe Toolbox (left) and the Cad View displayed in the Graphics Display window (right)


Changing the Magnification of the Part Image

On a machine with a DCC Zoom, these are the several ways you can alter the magnification of the part image:

Use the Magnification tab: You can do this by either moving the slider bar up or down, or by typing a value in the box next to the slider. By default, the software uses the lowest magnification to get the largest FOV.

Drag the Green Handles of the FOV: Use the FOV handles in the CAD View to resize the rectangle. Grab any corner of the green box and drag the outline to its desired location. On a DCC stage, the green boxes on the edges (not the corners) allow you to move the location of the FOV, not change its size.

Zoom in Live View: In Live View hold down the right and left mouse buttons simultaneously. Drag the cursor across the view, creating an outline of a box. When you release the mouse buttons, the field of view magnifies in the requested location.

Use the Magnification menu: Select menu items from the Operation | Magnification sub-menu.

Use the Shortcut Menu in Live View: You can also right click within the Live View tab to access the Magnification sub-menu. (Be sure that your cursor isn’t over the target while right clicking.)

Use Shortcut Keys: Use these shortcut keys to alter the magnification in either Cad View or Live View:

Magnify Action | Shortcut Keys
Increase Fine | ALT + *
Increase Coarse | CTRL + *
Increase Maximum | CTRL + ALT + *
Decrease Fine | ALT + /
Decrease Coarse | CTRL + /
Decrease Minimum | CTRL + ALT + /

The numbers displayed next to the top left and bottom right corners of the image in the Field of View box of the Probe Toolbox, indicate the X and Y coordinate values for the FOV. It also displays the current magnification size in pixels.


Probe Toolbox: Illumination tab

Probe Toolbox—Illumination tab

The toolbox's Illumination tab allows you to select which lamps are turned on or off. It also indicates the lamps current light intensity by changing illumination values. The type and number of lamps displayed depends on the machine.

A Top Light is an on axis lamp that is directed through the optical path. It can provide better edge and feature visibility on some parts than other light sources that illuminate from above because the light source isn't as diffused. Since it shines parallel to the optics, it's also easier to see into holes.

A Bottom Light is a lamp that shines from under the stage. It creates a silhouette of the part to be viewed.

A Ring Light is a multi-bulb lamp that illuminates from above. This lamp is normally composed of an array of LED lights arranged in concentric rings or circles. You can usually program the ring light to illuminate a segment or 'pie wedge' of bulbs from one direction. You can control the direction and angle of illumination by illuminating just one of the rings of LEDS, a segment of one of the rings, or individual bulbs.

This tab also allows you to create and store these illumination values in sets termed Quick Sets. Once you create a Quick Set you can quickly and easily recall it to set the lamps on a machine to a specific state (for example, bottom light only, top light only and so forth). Quick Sets can be recalled at any time by selecting the set name from the Quick Set list.

You can easily save your own Quick Sets by pressing the Save button, or delete them by clicking the Delete button.

Important: In order for lamps to show up on the Illumination tab, make sure you have the lamps selected and properly setup within the Machine Interface Setup dialog box on the Illumination Tab. See "Machine Options: Illumination tab".

You can perform the following procedures using this Illumination tab:

  • Selecting a Pre-Defined Illumination Quick Set

  • Saving an Illumination Quick Set

  • Deleting an Illumination Quick Set

  • Changing Illumination Values

  • Illumination Calibration Override


Selecting a Pre-Defined Illumination Quick Set

To choose a pre-defined illumination Quick Set, select it from the Quick Set list.

  • If you are running in online mode, your system's lamps will change to reflect the selected Quick Set.

  • If the illumination changes since selecting a Quick Set, the Quick Set list will show an ‘*’ next to the Quick Set name


Saving an Illumination Quick Set

To create a new illumination quick set:

  1. Click the Save Illumination Quick Set icon [image]. The software displays a Save Illumination Quick Set input box:

Save Illumination Quick Set input box

  2. Type a name for the illumination Quick Set. The entire name must fit in the box.

  3. Click the OK button and a new set is created and is automatically selected in the Illumination page.


Deleting an Illumination Quick Set

To delete an illumination set:

  1. Click the Delete Illumination Quick Set icon [image] . The software displays a message asking if it's OK to delete the illumination set.

  2. Click Yes. The software deletes the illumination Quick Set permanently from your system.


Changing Illumination Values

At any one time, only one of the lamps can have it’s settings changed. This is referred to as the “active” lamp, and is the lamp that is not drawn in a “Dimmed” state.

Illumination tab showing active lamp (bottom light)

In the above example, the bottom light (lower left) is active, and the top light and ring light are dimmed.

Changing the Active Lamp's Values:

  1. Click on the toolbox near the needed lamp, or click on the intensity circle within the lamp. If you click on the bulb itself (not including the intensity circle) it will select the lamp but also toggle the bulb state on/off.

  2. Move the slider bar or type a percentage value in the % box. Only the active lamp will be affected.

  3. Adjust the Lamp Angle [image] to physically alter the angle of lamps that support this capability.

  4. Change the Lamp Color [image] by selecting the LED color of lamps that support multiple color LEDs.

The process for editing Ring Light Illumination values is discussed in the following topics:

  • Ring Light Illumination Values

  • Ring Light Control Modes

  • Positioning Ring Light Bulb Illumination


Ring Light Illumination Values

The process for editing the Ring Light Illumination values is more involved than a Top or Bottom light. Additional controls are provided for Ring lights.

Changing the Ring Light Intensity – You can change the intensity of any lamp by selecting the needed Rings, Sectors, Bulbs or entire ring lamp depending on the "Ring Light Control Modes". Moving the slider bar or typing a percentage value in the % box will change the intensity of the active segments.

Absolute and Relative Controls – For Ring lamps, it is also possible to choose whether an increase or decrease of the bulb intensity should keep their relative differences (RELATIVE ), or should set them all to the same value (ABSOLUTE ).

  • With the Absolute button [image] selected, all of the active LEDs get the same intensity specified.

  • With the Relative button [image] selected, all of the active LEDs keep their relative differences, but all increase or decrease by a specified amount. For example, if the outer ring has intensity 30%, the middle ring 40%, and the inner ring 50% then sliding the slider up by 10% moves them to 40%, 50% and 60% respectively.

Switching a LED On or Off – You can easily switch a lamp on or off by clicking on the specific LEDs graphic in the tab (though not inside the Intensity circle). A red cross through a bulb indicates that the light is off. A highlighted and shaded bulb indicates that the light is on. The number of LEDs affected on a ring lamp depends on the current "Control Mode".

Turning on a Live Image Overlay [image] – If you are using ring lights, you can place a graphical overlay of the lamp to appear in the Live View tab of the Graphics Display window. This overlay allows you to switch bulbs on or off directly by clicking on the overlay of the bulb on the Graphics Display window.

Click the Apply button to actually change the illumination values.

More:

Ring Light Control Modes

Positioning Ring Light Segments


Ring Light Control Modes

Ring lights can be controlled in up to four ways, to make setting the needed lamp's state as quickly as possible.

Change Lamp

Clicking the Change Lamp button will allow you to treat a Ring Lamp as a single bulb. This allows you to quickly set all the separate LEDs to On or Off. You can also change the intensity of ALL the LEDs to a specific value. In the example below, one of the LEDs was clicked and they all turned off.

Change Ring

Clicking the Change Ring button will allow you to treat a ring lamp as a series of rings. This allows you to quickly set all the LEDs in one or more rings to On or Off. You can also change the intensity for one or more rings to a specific value. To select more than one ring, click the first ring then hold the CTRL button while selecting additional rings. Selecting a different ring without holding CTRL, will deselect the previously selected ring.

In the example below, the outer ring is selected (shown as green intensity circle) and the other two rings are not.

Note: Clicking on an LED (anywhere except in the intensity circle) will turn that LED, and the others in that ring, to Off (as shown in the right hand picture above after the top LED was clicked).

Change Sector

Clicking the Change Sector button will allow you to treat a ring lamp as a series of sectors. This allows you to quickly set all the LEDS in one or more sectors to On or Off. You can also change the intensity for one or more sectors to a specific value. In the example below, the intensity can not be set per sector on this lamp, so the intensity circles are grayed out. However, you can set the bulb state for all LEDs in a sector (as shown in the right hand picture after the top LED was clicked)

Change Bulb

Clicking the Change Bulb button will allow you to treat a ring lamp as a series of separate LEDs. This allows you to set one or more of the LEDs to On or Off. You may also change the intensity of one or more of the LEDs to a specific value. Again, in the example below, this lamp can’t cope with changing intensity other than per bulb, so the intensity rings are greyed out. However, you can switch a specific LED bulb on/off by clicking on it.

Note: The availability of these options is dependant on what the hardware supports.

More:

Positioning Ring Light Segments


Positioning Ring Light Segments

In addition to the four control modes, there are four other buttons associated for ring lights that allow you to quickly “re-orientate” the lamp in relation to the part.

Clicking the Up button allows bulb positions to be shifted outwards, as seen below.

Clicking the Down button allows bulb positions to be shifted outwards, as seen below

Clicking the Left button allows bulb positions to be shifted counterclockwise, as seen below

Clicking the Right button allows bulb positions to be shifted clockwise, as seen below


Illumination Calibration Override

The Illumination Calibration Override button [image] is used to temporarily switch off the Illumination Calibration. This can be used for features where it is difficult to get enough intensity and you want to force the machine intensity to the maximum.


Probe Toolbox: Focus tab

Probe Toolbox—Focus tab

The Focus tab allows you perform an immediate focus on the part within the rectangular region defined in the Graphics Display window. The software doesn't generate any part program commands using this option.

To perform the focus, use the Live View tab in the window to move or resize the rectangular target over the desired portion of the part, and select one of the Focus icons. The machine focuses on the specified area of the target, displays the optimum focus position as an overlay on the Live View tab, and displays the focus curve in a graph.

If dual pass is selected, the initial pass is first shown in the graph, then this graph is replaced by the second pass graph.

Important: To get the best focus accuracy and repeatability, focus should be performed at the highest magnification available.

Note: Specific feature focus parameters are set within the Hit Targets tab, by selecting the Focus Parameter set. See "Probe Toolbox: Hit Targets tab".

Warnings will appear on the Live View to indicate the focus success and give feedback. If a warning prefix is given, the focus value was calculated but the accuracy could be improved by taking the warning text into account. It warns if the speed is too fast, if the focus rectangle is too small, or mag not high.

If an error prefix is given, the focus calculation failed, and so it just restored to the previous focal position.

More:

Focus Parameters

Focus Graph

Focus Buttons


Focus Parameters

For a machine supporting DCC Motion, the following parameters appear in the column headings of the Focus tab when focusing a part:

Range (Focus): This indicates a focal range (in the current units) within which to perform the auto focus. The search for the best focal position within that range takes place (usually in the Z-axis). The available range values vary based on each system’s specific parameters. You can edit this parameter by double clicking and entering a different value.

Duration (Focus): This displays the number of seconds to spend searching for the best focal position for auto and manual focus. You can edit this parameter by double clicking and entering a different value.

Note: As a general rule of thumb you should aim to make your duration at least twice as large as the range.

Dual Pass (Focus): This displays a YES or NO. It determines whether or not the machine should perform a second, slightly slower) pass to improve the accuracy of the focal position.

Illumination Adjust: This determines whether or not the machine should perform an auto-light adjust prior to focus, in an attempt to achieve optimal focus result. If set to NO, PCDMIS will set lighting according to the learned percentage and the brightness will not be adjusted automatically.

Laser: On systems with a laser device, the laser can be set to be on during the focus as on certain surfaces it can improve contrast for the focus algorithm.


Focus Graph

Auto focus will graph the results of the focus by showing the focus score (Y) against time (X). A sharper focus will have a higher focus score.

Auto focus should result in a rounded curve (an inverted "U"). Use the Manual Focus option when you have no DCC to automatically drive the Z axis. If the graph shows a sharp increase in focus score, try reducing the speed of movement. Also, you need to ensure that your range of travel is sufficient so you see the base of the curve on both sides.

If the graph is not smooth, ensure the illumination is sufficient so that surface texture is evident.

Auto Focus on a Manual Machine:

  1. Roughly find the in-focus position, and then move out of focus.

  2. Click the Auto Focus icon to start the graph and record the focus score.

  3. Move through the focus position by moving a single axis (usually Z).

  4. Continue moving the Z axis until you have moved through the focus position, and the graph is a well-proportioned, gradual, inverted U shape.

  5. When the specified duration has been reached, the detected focus position will be displayed in the live image view.

  6. A message is displayed to accept the focus, or retry.

  7. 7. Click the Reset Focus Graph icon to clear the graph data and start this process over if there is a problem.

Note: With focus on a manual machine, you need to move the Z stage at a slow and steady speed. You will be warned if you move too fast, or the distance moved was too long or too short.

On some machines, you may find you get a better focus result by specifying a longer duration and moving forward and backward through the focus position 3 or 4 times to get a series of U shapes on the graph.


Focus Buttons

PC-DMIS Vision provides a number of tools to help you focus your optical hardware:

Focus Icon

Description

The Lock Focus to Part icon secures the size, position, or rotation of the target to the part.

The Center Target icon centers the target or FOV. What actually moves depends on the status of the Lock Target to Part icon.

If you click Center Target with the Lock Target to Part icon already selected, PC-DMIS Vision moves the current FOV to the target. This is only available on DCC Motion machines.

If you click Center Target with the Lock Target to Part icon deselected, the target moves to the current FOV.

*

The Reset Focus Graph icon will clear all data in the Focus Graph.

The Auto Focus icon actually executes the focus using the set parameters, moving the DCC stage and then returning to the focus position. On a manual machine, the operator manually moves the machine for the specified duration. When the duration is met, the user has the option of accepting the focus result or retrying.


Probe Toolbox: Gage tab

Probe Toolbox—Gage tab

The Gage tab provides you with a variety of tools called "gages" that allow you to make quick optical comparisons over features that you are measuring without having to create a part program. Gages can be used were edges are indiscriminate, or difficult to ascertain automatically.

The gage provides nominal information that you can type into dialog boxes to create the desired nominal feature. You can also capture the information to clipboard or BMP file to paste into a report.

Sometimes called "hand gages", these tools are geometric shapes that appear on your screen. You can manipulate these shapes by rotating, sizing, and positioning them on your part with your mouse to find out nominal information about a particular feature, such as position, diameter, angle and so forth.

Available Gages

There is no automatic image processing associated with these gages, they are simply tools that you visually adjust to fit a feature on the image.

More:

Rotating, Sizing, or Moving Gages

Supported Gage Types and Gage Parameters

Gage Buttons

Using a Gage


Rotating, Sizing, or Moving Gages

You can easily rotate, size, or move the gage on the graphical representation of the part. Once you correctly position the gage over a feature, sizing it to fit the shape of the feature, the software dynamically updates information on the gage in the Probe Toolbox as well as the overlay in your Live View tab. You can then use this information as the nominal values of the feature.

Rotate a Gage—Position the mouse over the green dot (some gages don't have a green dot and can't be rotated). The mouse cursor changes to a rounded arrow. Simply click and drag to perform a 2D rotation of the part in either the left or right direction.

Sample rectangular gage being rotated

Laterally Sizing Gages—Position the mouse over a red dot until the mouse cursor changes to a two-way arrow. Click and drag the gage to laterally size the gage either larger or smaller.

Sample circular gage being sized

Note: The Radius Chart gage and the Grid Chart gage don't have a red dot. To size these gages, simply select a part of the gage and drag it.

Moving Gages—Position the mouse over the red crosshair at the middle of the gage until the mouse cursor changes to a four-way arrow. Click and drag the mouse to move the gage to a new location. You can also simply click anywhere on the part and PC-DMIS Vision will move the gage to where you clicked.

Sample circular gage being moved


Supported Gage Types and Gage Parameters

PC-DMIS Vision supports a variety of gage types. Select a gage type from the Gage Type list. PC-DMIS Vision places parameters for the gage inside the Probe Toolbox. Double click these fields to edit them if you need a gage with specific dimensions.

Note: Selecting and editing gages is strictly visual; the software doesn't insert any commands into the part program.

The following table describes each gage type and the lists the parameters used by that gage:

Icon | Description | Available Parameters
 | Cross Hair Gage. Use this to find a point. | Angle: The angle by which you rotate the gage. Display Type: Is the cross hair drawn in solid, dashed, or dotted lines. Gun Sight: Draws a circle around the cross hair to help locating. Tolerance: Allows tolerance lines to be drawn on the cross hair at a specified distance.
 | Circle Gage. Use this to find a circle's diameter and center. | Diameter: Diameter of the circle gage
 | Rectangle Gage. Use this to find a rectangle's height, width, and center. | Angle: The angle by which you rotate the gage. Width: Determines the width of the Rectangle Gage. Height: Determines the height of the Rectangle Gage.
 | Protractor Gage. Use this for finding angles. | Included Angle: Determines the angle between the two lines making up this gage.
 | Radius Chart Gage. Use this to find the relative change in diameter between concentric circles and the center. | Spacer: Defines the relative change in diameter between circles.
 | Grid Chart Gage. Use this to find the relative distance between horizontal and vertical lines. | Grid: Defines the relative change in distance from one grid position to another.

Note: All gage types use the XYZ values to determine the gage's center relative to the Field of View center.


Gage Buttons

Gage Icons

The following Gage icons are available while using gages to do optical comparisons.

Gage Icon

Description

The Lock Gage to Part icon secures the size, position or rotation of the gage onto graphical representation of the part. Until you click this icon again, you can't move or edit the gage.

The Center Gage icon centers the target or FOV. What actually moves depends on the status of the Lock Gage to Part icon.

If you click Center Gage with the Lock Gage to Part icon already selected, PC-DMIS Vision moves the current FOV to the target. This is only available on DCC Motion machines.

If you click Center Gage with the Lock Gage to Part icon deselected, the target moves to the current FOV.

The Zero Readouts DXYZ icon resets the Probe Readout window's DXYZ value to the position of the current gage. This allows you to measure distances using gages: position the gage on one feature, click this icon to zero the readouts, move the gage to another feature and then examine the DXYZ values on the Probe Readout window. This is the distance between the two features. See the "Using the Probe Readout window with Vision probes".


Using a Gage

Gages provide an easy way to compare the geometry of the part to the gage.

To use a gage:

  1. Select the desired gage from Gage Type list on the Gage tab of the Probe Toolbox.

  2. Adjust your machine's lighting, magnification and stage as needed.

  3. Position the gage overlay so that it matches the geometry undergoing inspection.

  4. Use any returned nominal values.


Probe Toolbox: Feature Locator tab

Probe Toolbox—Feature Locator tab

The Feature Locator tab, which only appears at part program execution time when the current feature has specified one, displays a predefined bitmap, and or text/audio instructing the operator where to measure a feature at execution time. You define this information in the Auto Feature dialog box. See the “Auto Features Dialog Box in PC-DMIS Vision” topic for more information on setting up Feature Locator graphics and text.


Using the Graphics Display Window in PC-DMIS Vision

PC-DMIS Vision lets you switch between two view modes in the Graphics Display window. They are the Cad View and Live View.


CAD View

Sample Cad View showing the Vision probe's field of view

The Cad View is the standard view of the part and works the same way as in the standard PC-DMIS software. For in depth information on the Cad View, see "The Graphics Display Window" topic in the "Navigating the Interface" section of the main PC-DMIS help file.

The green rectangular region shown in the CAD view is the "field of view" (FOV). The FOV represents the view through the video camera. The center of the field of view has a cross hair. On a machine supporting DCC motion, you can click and drag this crosshair to move the FOV to a new location on the part:

Moving the FOV

On a machine supporting DCC optics changing, you can also resize (magnify or shrink) the FOV by dragging the corners of the green box. This will change the current magnification:

Sizing the FOV


Live View

Sample Live View of the Graphics Display Window

If you're in online mode, the Live View tab shows the actual "real time" view from the video camera.

If you're in offline mode, the Live View tab displays a "simulated" view of what a video camera would see, based on the imported CAD drawing. It simulates the geometry and also the illumination. This process is called CAD Camera.

Simulated Live View (CAD Camera)

Tip: You can right click on the image and drag the mouse cursor. This essentially drags the image underneath the camera, allowing you to position the FOV to the new location on the part. This functionality only works on a DCC machine, or when offline.

More:

Live View Screen Elements

Live View Controls


Live View Screen Elements

This topic discusses the various screen elements available to you within the Live View tab.

PC-DMIS Vision - Live View showing Tracker and Targets

The elements in the Live View can be altered by clicking and dragging the handles (green or yellow dots) to the desired location. Handles can control the size, orientation, and start and end angles for the targets.

Tracker: The visual user interface to features. In the Circle feature illustrated above, the tracker shows the size of the circle (1a - green dotted circle between the lines of the bright yellow donut), and allows the Start angle (1b), end angle (1c), and orientation (1d - altered by dragging the green dot handle on the end of a line) to be changed.

Target: Individual addressable user interfaces to point detection. For each region, you can control each Target parameter by clicking in the target, or by dragging the handles. Target parameters are changed in the Hit Targets tab of the Probe Toolbox. In the Circle feature above, the circle has three targets (2a, 2b, & 2c). Each target has slightly different point detection parameters. 2a - configured with a smaller scan width. 2b - configured to detect NO points.

PC-DMIS Vision - Live View showing ROI and FOV coordinates

ROI (regions of interest): During run time, PC-DMIS Vision may need to divide a target into pieces so that each piece may fit into the FOV. ROIs are different from Targets in that the target may be bigger than the FOV. There is no user interaction with ROIs except for some visual indicators (3a - the AutoShutter halo for the upper left piece outlines the ROI; the target piece that can safely fit into the FOV at this magnification).

FOV Coordinates: The overlay numbers at the top and bottom of the screen, list the X and Y positions for the top left and bottom right corners of the FOV (4a). When right-clicking and dragging in the Live View other numbers appear in brackets which show the distance the camera will move. Additional information is given, depending on currently selected Probe Toolbox tab, but in the example above you see feature and target name.

AutoShutter: When you have established a part alignment, any manual features that you measure with Automatic Targets will make use of a technology called “AutoShutter”.

This will guide the operator to move the stage to get the next feature into the Field Of View, by showing an arrow and a distance to move.

PC-DMIS Vision - Live View showing distance to move arrow

You need to move the stage so the entire dashed rectangle box is comfortably within the Field Of View.

PC-DMIS Vision - Live View showing coloured light countdown

Once it is, a coloured light countdown is shown on the Live View where it checks for stage stability, before automatically performing the edge detection on all targets that are within the current Live View.

Note: If a stage movement is detected during AutoShutter, it will discard the points and automatically restart the countdown to measure again.

See "Setting up the Live View" for more information on AutoShutter settings found in the Live View Setup dialog box.


Live View Controls

This topic discusses the controls located at the bottom of the Live View tab.

Live View Freeze: This button, when pressed, will “pause” the update of the live view display. This is useful if you want to keep something on the screen to analyze or take a screen capture, but you want measurement to continue in the background. To restart the Live View update, release this button.

Auto Live View Freeze: This button, when pressed, will cause the Live View Freeze button to be automatically pressed on and off at program execution time, so that measured points are frozen on the screen until the next points are available for display.. This is also useful for machines where “image tear” occurs during stage movements.

Move to Previous Target: This icon moves the FOV to the previous target in a list of targets.

Skip Backwards on Target: This icon moves the FOV part way backwards along a target towards the previous target. This helps you see how an entire feature might be measured, even though the feature does not fit inside the FOV.

Skip Forwards on Target: This icon moves the FOV part way forwards along a target towards the next target. This helps you see how an entire feature might be measured, even though the feature does not fit inside the FOV.

Move to Next Target: This icon moves the FOV to the next target in a list of targets.


Setting up the Live View

Live View Setup dialog box

The Live View Setup dialog box appears if you select the Live View Setup menu Display Menu Roadmap or if you right click within the Live View tab and select Setup from the resulting shortcut menu.

This option is only available if Vision is programmed on your Port Lock.

The Live Image Setup dialog box allows you to configure how the image appears in the Live View tab of the Graphics Display window. It contains these controls:

Scale to Fit - This check box determines whether or not the display of the part should be scaled to within the limits of the Graphics Window.

Overlay Properties

Textual Information - This check box show or hides the various live image overlay information that appears inside the Live View tab.

Show Absolute Coordinates - When this option is selected, the overlaid coordinates are displayed as Absolute values. For Absolute values, the top-left and bottom-right coordinates show the actual position of those corner points in the current machine coordinates. When this option is not selected, Relative values are displayed. For Relative values, the top-left corner is shown as 0,0 and the bottom-right corner shows the length and width of the FOV in current units.

Overlay Color - This list allows you to select the color used for most of the overlayed graphics and text on the Live View tab. This affects probe hits, targets, gages, as well as textual information for FOV coordinates, magnification, and focus. The default color is red.

Nominal Line Color - This list allows you to select the color used for the nominal line in the targets.

Programming Properties

Snap To Edge - This check box determines whether or not the software attempts to detect the nearest edge and snap target anchor points to that edge when programming features in the Live View tab. The value in the Within Pixels box indicates the distance the software searches for this edge. If you have a blurred edge that you cannot bring into focus, you may find it necessary to deselect this check box to reliably specify anchor points when programming a feature.

AutoShutter

AutoShutter detects when a target (which may consist of multiple ROIs) is ready to measure points. The three criteria for readiness are: the ROI is entirely within the FOV, the stage has stopped movement, and the user defined delays have elapsed. When these criteria are satisfied, PC-DMIS automatically takes the points, and proceed to the next ROI. AutoShutter works for post-Alignment Manual mode features with automatic targets.

Note: AutoShutter does not fire for DCC mode features with enabled Manual Preposition.

Enable - When this option is enabled, AutoShutter capability is used to measure features.

Movement detected settle – This field specifies a settle time (in seconds) before point detection firing after the current ROI that was not entirely in the FOV has entirely entered the FOV. The user may use this field to slightly delay the automatic firing to review/improve ROI placement within the FOV.

Measure Feature settle – This field specifies a settle time (in seconds) before point detection for the FIRST ROI of a feature, even if this ROI is already entirely in the FOV. The user may use this field to slightly delay the automatic firing to review/improve ROI placement within the FOV. This value is only applied to the first ROI of a feature.

Note: the Movement Detected settle is the dominate value, if it conflicts with the Measure Feature settle value.


Using Shortcut Menus

Two menu shortcuts are available to access commonly used commands and options:

Live View Menu

To access the Live View menu, right click on the Live View tab but not on a target.

Magnification submenu: This submenu gives another way to affect the magnification of the camera's view of the part. This submenu contains menu options that function just like the shortcut keys discussed in "Changing the Magnification of the Part Image".

Screen Capture To submenu: This submenu lets you save a screen capture of the Live View tab to a file, the Clipboard, or to a PC-DMIS report. The currently selected view (Cad View or Live View) will determine which display is captured.

Setup: This menu option accesses the Live Image Setup dialog box. See “Setting up the Live View”.

Live View Target Menu

To access the Live View Target menu, right click on a target in the Live View.

Insert Nominal Segment: To add a segment, right-click at the needed location and select the Insert Nominal Segment menu option. This will add a handle to the target that you can drag to match the geometry of the target. For example, there may be a V notch on a straight edge that you need to add to the target.

Delete Nominal Segment: To delete a segment, right-click on the handle select the Delete Nominal Segment menu option. This will remove the selected handle. This is useful to "simplify" the nominal form of a target by removing detail.

Note: Inserting and Deleting Nominal Segments is only used for Profile 2D Features. These options allow you to add or remove segments to a Profile 2D shape in order to more accurately match the feature.

Insert Hit Target: To insert a new Hit Target, right-click at the needed location and select the Insert Hit Target menu option. This is unlike the Insert Hit Target button from the Probe Toolbox that randomly inserts a new Hit Target.

Delete Hit Target: To delete a Hit Target, right-click the needed target and select the Delete Hit Target menu option.

Reset: To reset the target areas of a feature, right-click on a target of the needed feature and select the Reset menu option. This will delete the entire previously added target, leaving the single default target.

Point Density submenu: To change the target Point Density right-click on a target and select the needed menu option from the Point Density submenu. See the "Edge Parameter Set" for more information on the available Point Density options.

Test: To test a feature, right-click on a feature and select the Test menu option. See the " Vision Controls - Command Buttons " topic for more information on testing features.


Measuring Features Using PC-DMIS Vision

PC-DMIS Vision currently supports the creation of the following features using the auto feature creation functionality:

  • Surface Point

  • Edge Point

  • Line

  • Circle

  • Round Slot

  • Square Slot

  • Profile 2D

For in-depth information on auto features, you will need to see the "Creating Auto Features" section in the main PC-DMIS help file. The PC-DMIS Vision help file only discusses Auto Features as they relate to PC-DMIS Vision.

If you are new to the PC-DMIS Software, please refer to the topic “Getting Started: A Simple Tutorial” in the PC-DMIS for Windows core help file; it provides an introductory discussion of writing a part program.

More:

Vision Measuring Methods

Step by Step Measurement Procedure

A Note on Executing a Vision Part Program


Vision Measuring Methods

PC-DMIS Vision offers two ways to measure parts in DCC Mode:

  • CAD Selection Method –If you have a CAD drawing, you can program the entire part program offline based on the CAD drawing. You can then execute this program on a live machine. See the “CAD Selection Method” for more info on this procedure.

  • Target Selection Method – This method does not require a CAD drawing and is done entirely online using a live machine. See the “Target Selection Method” for more information on this procedure.

More:

Vision Alignment

CAD Selection Method

Target Selection Method

Required Clicks for Supported Features

Using 2D Profile Edge Tracer


Vision Alignment

Both the CAD Selection and the Target Selection measuring methods require you to establish an alignment. The alignment defines the Part Coordinate System. You must perform an alignment if you wish to do any one of the following:

  • Change the location or orientation of the part on the stage.

  • Move the part program from one machine to another.

  • Program the part program offline and then run it online.

  • Use vision measurement hardware that does not have homing capability.

  • Use the AutoShutter facility on manual machines.

Note: You should create an alignment each time you create a part program to run in DCC Mode. For information on creating alignments, see the “Creating and Using Alignments” section in the core PC-DMIS help file.


CAD Selection Method

In this method, to add a feature to your part program, you will click on the desired CAD element (such as a circle, an edge, a surface and so on) inside the Cad View tab of the Graphics Display window. If you want to insert an open Profile 2D, you would also need to select the series of CAD elements that form the profile 2D you wish to measure.

The following steps show how to add a circle feature to your part program using the CAD selection method:

  1. Access the Auto Feature toolbar.

  2. Click the Circle icon. The Auto Feature dialog box for a circle appears.

    Auto Feature dialog box

  3. Keeping the dialog box open, access the Graphics Display window, select the Cad View tab, and click once on the edge of the desired circle. Other features may require additional or fewer clicks. See “Required Clicks for Supported Features”.

    Selecting a circle from the Cad View

Important: Click as close as possible to the CAD element to ensure the PC-DMIS will not choose an incorrect element.

  4. PC-DMIS Vision automatically places the nominal data for the feature into the Auto Feature dialog box.

  5. For all features (except for Profile 2D) the hit targets will automatically be displayed for the feature. For a Profile 2D feature, you need to click on the Show Hit Targets button on the auto features dialog when you’ve defined the profile’s nominal position. See “Required Clicks for Supported Features”.

  6. The resulting CAD window view should look something like the following:

Circle feature with Target

Notice that the software selects the desired circle feature and draws a target showing the scanning region band.

  7. Click Create on the Auto Feature dialog box to add the feature to the part program.


Target Selection Method

For this method, to add a feature to your part program, you should use the Live View tab in the Graphics Display window to place target points. The following steps show how to add a circle feature to your part program using this method:

  1. Access the Auto Features toolbar.

  2. Click the Circle icon. The Auto Feature dialog box appears for the circle feature.

    Auto Feature dialog box

  3. Keeping the dialog box open, access the Graphics Display window, select the Live View tab.

  4. Click three points along the edge of the desired circle. You can also double click on the edge for auto detection. With each click, a red target anchor point will appear on your image. Other features may require more or fewer clicks. See “Required Clicks for Supported Features”.

  5. Adjust the lighting and magnification to the desired level using the pendant knob control.

Selecting a circle from the Live View tab

  6. The Target for the feature will appear in the Live View tab once you have placed the required number of anchor points for that feature (or double clicked to detect the edge). See “Required Clicks for Supported Features”.

Target shown for circle feature

  7. The nominal information will appear in the Auto Feature dialog box.

  8. Adjust the nominal information in the dialog to match the theoretical values of the feature.

  9. Click Create on the Auto Feature dialog box to add the feature to the part program.


Required Clicks for Supported Features

The following table shows the number of clicks required for each feature type and its associated method of selection:

Required Clicks per Feature

Feature Type

CAD Select Method
(Cad View)

Target Point Method
(Live View)

Surface Point

Click once on a surface (Surface Mode) or three times on a wireframe (Curve Mode)

Click to automatically add a point at the clicked spot on the surface.

Edge Point

Click once near an edge

Click to automatically add a point on the nearest edge.

Line

Click once on one end of a line and again at the other end.

Click to locate the start and end points of the line, or double click to automatically add two points at the extent of the current edge.

Circle

Click once near the edge of the circle.

Click to add three points around the circle, or double click to automatically add three points equally spaced around the circumference of the visible circle.

Square Slot

Click once near the edge of the square slot.

Click two points on one of the two longer side edges, then click one point on one of the two end edges, then once on the other longer side edge, then finally once on the other end edge.

Round Slot

Click once near the edge of the round slot.

Click three points on the first arc, and then three more points on the opposite ended arc.

Profile 2D

Click on a series of one or more connected edges or arcs using wireframe curve data (Curve Mode).

Click sufficient points to define the shape of the profile, with each pair of points being joined by an arc or line. You can insert more points later by right clicking on the Target and selecting Insert Nominal Segment.

Or, double click in the Live View image to edge trace. See the "Using 2D Profile Edge Tracer" topic. Only available for CAD++.


Using 2D Profile Edge Tracer

You can program a Profile 2D feature simply by double-clicking near the edge of the feature in the Live View. PC-DMIS Vision, will automatically trace around the edge of the feature, moving the machine stage on a DCC machine if necessary.

Rules for Clicks to Start Edge Tracer

  • If you just double-click, PC-DMIS Vision will travel around the edge in an counter-clockwise direction, trying to return to the start position.

  • If you first single click a point before double clicking, that first clicked point will be your start point and the double click point will be your targeted end point.

  • If you click two points before double clicking, the first click is the start point, and the second click dictates the direction in which the trace will proceed.

Once the edge trace is completed, you can then adjust the nominal segments as necessary.

Important: Edge Tracer capability is only available in CAD++. For CAD and Pro, users you will need to single click at regular intervals around the feature to manually define a 2D Profile feature.


Step by Step Measurement Procedure

The following procedures describe how to measure parts using PC-DMIS Vision for these different scenarios:

  • Measurement Procedure - No CAD

  • Measurement Procedure - With CAD

  • Measurement Procedure - With CAD and Alignment from Live View

Important: Before measuring you must first properly set up the various machine options and understand how to use the Probe Toolbox and the Live View tab. See these topics if you need information:

"Setting Machine Options"
"Calibrating the Vision Probe"
"Calibrating the Vision Stage"
"Cross Probe Calibration"
"Using the Probe Toolbox in PC-DMIS Vision"
"Using the Graphics Display Window in PC-DMIS Vision"


Measurement Procedure - No CAD

All operations outlined below are performed from the Live View tab within PC-DMIS Vision. To measure features without any CAD data, follow this procedure:

  1. Click the File | New menu item to create a new part program. The New Part Program dialog box appears. Fill out this dialog box as needed.

  2. Click OK.

  3. PC-DMIS will display the Probe Utilities dialog box, prompting you to select or create a probe.

  4. Either define your own probe, or simply select the probe from the list that corresponds to your hardware. For example, for RAM Optical Instrumentation (ROI) equipment, you can use the preconfigured optical probe files ROI_ONYX_ZOOM and ROI_ONYX_ZOOM_1X. See the “Defining Probes” topic in the main PC-DMIS help file for information on how to define your own probe.

  5. Place PC-DMIS into manual mode. You will use this mode to create and measure your alignment features.

  6. Use the Target Selection Method and create and measure the features that you will use to establish your alignment. This alignment becomes your “first alignment” for this part program.

    For this alignment, you should generally use three Surface Point features to construct a plane to level to, a line feature to rotate to and then a point feature for the origin.

    For simple 2D parts, however, you should generally use two circle features for leveling, rotating and setting the origin. You can do this by using the 2D Alignment option on the 321 Alignment Wizard found on the Wizards toolbar.

  7. Create an alignment of your choice using the features you created earlier. See the “Creating and Using Alignments” topic in the main PC-DMIS help file for information on how to define your own probe.

  8. For machines supporting DCC motion, you can then click the DCC Mode icon [image] if you want additional features to be created and measured in DCC Mode.

  9. Continue adding features as needed using the Live View tab.

  10. Save the part program for future execution.


Measurement Procedure - With CAD

All operations outlined below are performed from the Cad View tab within PC-DMIS Vision. With CAD data, you may create your part program offline or online. In either case, you must create an alignment otherwise your part program will not function properly with real parts.

To measure features with CAD data, follow this procedure:

  1. Click the File | New menu item to create a new part program. The New Part Program dialog box appears. Fill out this dialog box as needed.

  2. Select Offline or Online programming from the Interface list and then click OK.

  3. PC-DMIS will display the Probe Utilities dialog box, prompting you to select or define a probe.

  4. Either define your own probe, or simply select the probe from the list that corresponds to your hardware. For example, for RAM Optical Instrumentation (ROI) equipment, you can use the preconfigured optical probe files ROI_ONYX_ZOOM and ROI_ONYX_ZOOM_1X. See the “Defining Probes” topic in the main PC-DMIS help file for information on how to define your own probe.

  5. Place PC-DMIS into manual mode. You will use this mode to create and measure your alignment features.

  6. Use the Target Selection Method and create and measure the features that you will use to establish your alignment. This alignment becomes your “first alignment” for this part program.

    For this alignment, you should generally use three Surface Point features to construct a plane to level to, a line feature to rotate to and then a point feature for the origin.

    For simple 2D parts, however, you should generally use two circle features for leveling, rotating and setting the origin. You can do this by using the 2D Alignment option on the 321 Alignment Wizard found on the Wizards toolbar.

  7. Create an alignment of your choice using the features you created earlier. See the “Creating and Using Alignments” topic in the main PC-DMIS help file for information on how to define your own probe.

  8. For machines supporting DCC motion, you can then click the DCC Mode icon [image] if you want additional features to be created and measured in DCC Mode.

  9. Continue adding features as needed using the Live View or Cad View tab.

  10. Save the part program for future execution.


Measurement Procedure - With CAD and Alignment from Live View

This method is commonly used when you have a fixture but the fiducials are not found in the CAD drawing. In this case, although you have the CAD drawing for the part, you will not be able to establish a proper alignment from the CAD file. You will need to establish the alignment in the Live View tab Once you do this, you can then use the Cad View to measure additional features.

To establish an alignment that matches the CAD coordinate system, you will need to do the following:

  1. Create the alignment features from the Live View tab using the Target Selection Method.

  2. Establish an alignment based on the features created in the previous step.

  3. Translate, rotate, and level this alignment to match the CAD coordinate.

  4. Tell PC-DMIS these two coordinate systems should be snapped together.

Note: Your CAD file must have surface data if you wish to perform 3D measurements. Without surface data, PC-DMIS will not be able to establish the directional vector for the plane correctly.

To measure features with CAD data, once the alignment has been established in the Live View, follow this procedure:

  1. Click the File | New menu item to create a new part program. The New Part Program dialog box appears. Fill out this dialog box as needed.

  2. Select Online from the Interface list.

  3. Click OK.

  4. PC-DMIS will display the Probe Utilities dialog box, prompting you to select or define a probe.

  5. 5. Either define your own probe, or simply select the probe from the list that corresponds to your hardware. For example, for RAM Optical Instrumentation (ROI) equipment, you can use the preconfigured optical probe files ROI_ONYX_ZOOM and ROI_ONYX_ZOOM_1X . See the “Defining Probes” topic in the main PC-DMIS help file for information on how to define your own probe.

  6. Click OK to close the Probe Utilities dialog box.

  7. Place PC-DMIS into manual mode. You will use this mode to create and measure your alignment features.

  8. Use the Target Selection Method and create and measure the features that you will use to establish your alignment. This alignment becomes your “first alignment” for this part program.

    For this alignment, you should generally use three Surface Point features to construct a plane to level to, a line feature to rotate to and then a point feature for the origin.

    For simple 2D parts, however, you should generally use two circle features for leveling, rotating and setting the origin. You can do this by using the 2D Alignment option on the 321 Alignment Wizard found on the Wizards toolbar.

  9. Create an alignment of your choice using the features you created earlier. See the “Creating and Using Alignments” topic in the main PC-DMIS help file for information on how to define your own probe.

  10. Transform the alignment so that it matches the CAD coordinate system. To do this, click the CAD=Part button on the Alignment Utilities dialog box to tell PC-DMIS that the alignment you just created should match up with the CAD coordinate system.

  11. For machines supporting DCC motion, you can then click the DCC Mode icon [image] if you want additional features to be created and measured in DCC Mode.

  12. Continue adding features as needed using the Live View or Cad View tab.

  13. Save the part program for future execution.


A Note on Executing a Vision Part Program

Executing a Vision Part Program

When you are executing your part program there are steps that can be taken that will cause a feature to be in tolerance (PASS) or out of tolerance (FAIL). This is done by clicking Continue in the Execution Mode Option dialog box to PASS the feature or by clicking Skip to FAIL the feature.

  • If you PASS a feature, the MEAS values for the CENTROID are set to the THEO values.

  • If you FAIL a feature, the MEAS values for the CENTROID are set to the THEO values + 100mm in the probe vector direction (usually Z). The feature will show in the Graphics Display window as floating above the part. However, if looking straight down in the Graphics Display window, the feature will appear to be drawn correctly.

So, if you have a dimension on the position of the feature, it will be in tolerance or out of tolerance, depending on whether you clicked Continue or Skip.


Modifying a Feature in PC-DMIS Vision

For feature programming tasks, PC-DMIS Vision utilizes the Auto Feature dialog box. You can access this dialog box in one of three ways:

  1. Click on an icon shown in the Display Menu Roadmap Auto Features toolbar. The Auto Feature dialog box appears, allowing you to create a new feature.

    To view the Auto Features toolbar, select the Auto Features menu option from the Toolbar submenu.

Auto Features toolbar

  2. If a feature already exists in your part program, place your cursor over the feature and press F9. The Auto Feature dialog box for that feature appears, allowing you to modify it.

  3. Right click on a feature, and select Edit from the shortcut menu. The Auto Feature dialog box for that feature appears, allowing you to modify it.

Note: Modifying a feature command in an offline part program is very similar to modifying an online part program. The only difference is that in offline mode, you don’t have an external pendant. Dragging with the right mouse button in the Cad View tab simulates the stage motion.

More:

Modifying a Programmed Feature Using the Auto Feature Dialog Box

The Auto Feature Dialog Box in PC-DMIS Vision


Modifying a Programmed Feature Using the Auto Feature Dialog Box

To modify a feature command in your part program, use these steps:

  1. Place your cursor on the feature you want to edit in the Edit window and press F9 to access its Auto Feature dialog box.

  2. If you have a DCC machine and have already established and ran your “first alignment” with a real part, you can click on the Move To button in the Auto Feature dialog box to move the FOV to the center of the feature. This button only works on DCC enabled machines.

Warning: If you have not established the “first alignment” for your part program, do not click the Move To button. Doing so may cause the stage to run off or damage the part you are measuring. Remember, PC-DMIS first needs to know the location of the part on the stage, its orientation and level to calculate the target feature location.

  3. Switch to the Live View tab in the Graphics Display window.

  4. Ensure that the lamps are properly illuminating the edges of the feature. If you need to make changes, switch to the Illumination tab on the Probe Toolbox and make the necessary adjustments.

  5. Click the Test button in the Auto Feature dialog box. PC-DMIS Vision inserts a temporary test feature into the Edit window and executes the feature.

  6. Examine the detected points in the Live View. These points indicate the raw hits PC-DMIS will use to fit the geometry. If there are outliers you wish to reject, use the Hit Targets tab on the Probe Toolbox, and make changes to the Filter Parameter Set. If the detected points are not at the location you expect, continue to the next step.

  7. Display Menu Roadmap Access the Preview window (View | Other Windows | Preview) to ensure that the feature was properly measured in this test.

  8. If the test data appears incorrect, the following suggestions may help to fix the problem:

  • If most of the feature appears correct, but one region is returning incorrect points, insert a new target in that region, and set different parameters (illumination, edge detection, filters, and so on) until that region of the feature also measures correctly.

  • Click on the Hit Targets tab of the Probe Toolbox and insert a new target in the target region. See "Probe Toolbox: Hit Targets tab".

  • Click on the Hit Targets tab of the Probe Toolbox and adjust the target parameters. See "Probe Toolbox: Hit Targets tab".

  • Click on the Illumination tab of the Probe Toolbox and adjust any illumination settings. See "Machine Options: Illumination tab". The changed illumination settings are applied to any targets currently selected in the Hit Targets tab. You may also use the attached pendant to set the luminosity if the machine supports it.

  9. Once you have made the suggested changes, test the results of the target by clicking the Test button again. When you are satisfied with the target results, continue with the next step.

  10. Make adjustments to the options on the dialog box as needed.

  11. Click the OK button on the Auto Feature dialog box to update the feature with the new settings.

Note: The Auto Feature dialog box shown above is the expanded version of this dialog box. Click the << button to see the reduced version of the dialog box.


The Auto Feature Dialog Box in PC-DMIS Vision

Auto Feature dialog box

The Auto Feature dialog box helps you determine what to measure. Regardless of your selection, the Auto Feature dialog box appears with the appropriate feature type selected from the list in the Measurement Properties area.

Features can be programmed using a Vision probe in a manner similar to using a contact probe. The three available methods are:

  • Selecting CAD data in the Cad View tab.

  • Placing target anchor points with mouse clicks in the Live View tab.

  • Entering values into the Theoretical edit boxes found in the Auto Feature dialog box.

Those discussed controls of the Auto Feature dialog box that used for PC-DMIS Vision. See the "Common Auto Feature Dialog Box Options" topic in the core PC-DMIS help file for information that is not covered in this section.

More:

A Note on the Terminology of Hits

Feature Properties Area

Measurement Properties Area

Advanced Measurement Options Area

Feature Locator Controls Area

Analysis Area

Command Buttons

Vision Field Definitions


A Note on the Terminology of Hits

We refer to the process of using a contact probe to measure a feature as "taking a hit". In PC-DMIS Vision’s case, the hit refers to the actual position of the point in the measurement process. It is inaccurate to use this same terminology for Vision measurements. In PC-DMIS Vision, you actually click on the image in the Live View tab to relay ‘hits’ to the machine.

The term "Target Anchor Point" better defines the process as it occurs inside PC-DMIS Vision. The points derived from these clicks are used as a reference to calculate the nominal form of the feature.


Feature Properties Area

Point - Specifies the XYZ values for Surface or Edge Point features.

Start - Specifies the XYZ values for the start point of a Line feature.

End - Specifies the XYZ values for the end point of a Line feature. This is only available when Yes is selected for the Bounded property of the "Measurement Properties Area".

Center - Specifies the XYZ values for the center of a Circle, Round Slot, Square Slot or Profile 2D feature.

Surface - Specifies the IJK values for the surface vector of any Vision auto feature.

Edge - Specifies the IJK values for the edge vector for an Edge or Line feature. The Edge vector points away from the edge.

Angle - Specifies the IJK values for the angle vector for a Square or Round Slot feature. The Angle vector defines the feature's centerline. The feature centerline and normal vector must be perpendicular to each other. This also specifies the reference vector for start and end angles for Circles (Arcs).

Feature Properties - Control Buttons

Vision Buttons

Description

Polar / Cartesian Toggle button

Clicking this button will switch between Polar and Cartesian coordinate system.

Find Nearest CAD Element button

When you select an axis (X,Y, or Z) from one of the Point or Start boxes and click this button, PC-DMIS finds the closest CAD element in the Graphics Display window to that axis.

Note: This option is only available for Surface Point, Edge Point, and Line features.

Read Point from Machine button

Clicking this button will read the probe tip's position (stage position) and inserts it into the X, Y, and Z boxes.

Note: if you’re on the Gage toolbox page when this button is pressed, the Gage centre point is used rather than the stage position.

*
Find Vector button

This button will pierce all surfaces along the XYZ point and IJK vector looking for the closest point. The surface normal vector will be displayed as the IJK NOM VEC but the XYZ values will not change.

Note: This option is only available for Surface Point.

*
Flip Vector button

Clicking this button reverses the direction of I, J, K vector.

*
Use Thickness button

When this button is selected you can then specify whether to use actual or theoretical values and provide the value for the thickness.

*
Swap Vectors button

Clicking this button causes the current edge vector and surface vector to switch vectors with each other.


Measurement Properties Area

Snap - When Yes is selected, measured values "snap to" the theoretical vector for Surface Points. All the deviation will be along the vector of the point. This is useful for focusing on a deviation along one particular vector.

Length - Specifies the Length of a Line feature.

Bounded - When Yes is selected, the End property is available in the "Feature Properties Area"to define the end point of a Line feature.

Start Angle - Specifies the Start angle of a Circle feature.

End Angle - Specifies the End angle of a Circle feature.

Inner/Outer - Circle, Square Slot, or Round Slot features allow you to determine whether the feature is an Inner or Outer feature.

Diameter - Specifies the Diameter of a Circle feature.

Closed - When this value is set to "Yes" the 2D Profile Edge Tracer determines that the first nominal segment is joined to the last nominal segment. Basically, it determines if the feature is Open or Closed.

Measurement Properties - Control Buttons

Vision Buttons | Description
Measure Now button | When this button is selected the feature will be measured when you click Create.
Manual Pre-Position toggle button | When running in DCC mode and this button is selected, PC-DMIS has operator confirm the target position before measurement takes place.
Show Hit Targets button | Shows/Hides the Target data on the Live and CAD Views, that were acquired and used to measure the feature.
View Normal Toggle button | Clicking this button orients that CAD so that you look down on the feature.
View Perpendicular Toggle button | Clicking this button orients the CAD so that you look at the side of the feature.
Probe Toolbox Toggle button | Shows/Hides the Probe Toolbox with the settings for the feature represented in the Auto Feature dialog box.
* Show Measured Points button | Shows/Hides the image processing data points on the Live and CAD Views, that were acquired and used to measure the feature.
* Show Filtered Points button | Shows/Hides the image processing data points on the Live and CAD Views, that were acquired and discarded by the current filter settings.


Advanced Measurement Options Area

Nominal Mode

FIND NOMS - PC-DMIS Vision will pierce the CAD model to find the closest location on a CAD edge (or surface) to the measured point, and set the nominals to that location on the CAD element.

MASTER - If a feature is created when the Mode list is set to MASTER, then the next time the part is measured, PC-DMIS Vision will set the nominal data equal to the measured data. The Mode list will then be reset to NOMINALS.

NOMINALS - This option requires you to have nominal data before the measurement process begins. PC-DMIS will compare the measured feature with the theoretical data in the dialog box, using the measured feature for any necessary calculations.

Best Fit Math Type

A Vision Auto Feature Circle also allows you to define the Best Fit Math Type. This is discussed in the "Best Fit Type" topic of the core PC-DMIS help file.

Relative to

This allows you to keep the relative position and orientation between a given feature (or features) and the auto feature. Click the [image] button to open the Relative Feature dialog box to select the feature or features to which the auto feature is relative. Multiple features can be defined for each axis (XYZ) relative to your auto feature.

Other Advanced Measurement Options:

Feature Locator Area

Analysis Area


Feature Locator Area

The Feature Locator area allows you give assistance to the operator by instructions for the current feature. Provided images and captions will be displayed in Feature Locator tab of the Probe Toolbox when the associated feature is executed. See the "Probe Toolbox: Feature Locator tab" topic.

You can also assign an audio clip that will be played when the feature is executed. This .wav file will play and can give additional information for the given feature.

To provide Feature Locator information:

  1. Click the [image] button next to the [image] (speaker) icon to browse to the .wav file to associate with this auto feature. The speaker icon must be selected for the audio file to play.

  2. Click the [image] button next to the [image] (bitmap) icon to browse to the .bmp file to associate with this auto feature. The bitmap icon must be selected for the bitmap to be displayed on the Feature Locator tab.

  3. Rather than browsing for a bitmap image, you can click the [image] button to capture an image from the current CAD View or Live View (whichever is active). This file will be indexed and saved in the PC-DMIS install directory. For example, a part program named Vision.prg would yield bitmaps named Vision0.bmp, Vision1.bmp, Vision2.bmp, etc.

  4. Type a message to be displayed as a caption in the text box. For example, "Measure Circle 1" will be displayed in the Feature Locator tab with any images that have been selected.


Analysis Area

The Analysis area allows you to determine how each measured hit/point is displayed and how analysis images are captured and displayed in reports.

Graphic Analysis

Pt. Size - Determines how big the measured points will be drawn in the Cad View. This value specifies the diameter, as is specified in current units (mm or inch).

Graphic Analysis button [image] - When switched on, PC-DMIS will do a tolerance check on each point (how far from theoretical position it is), and draw them in the appropriate based on the current defined dimension color range.

+ Tol - This provides the positive tolerance from the nominal, and is specified in current part program units. Points that are greater than this value from the nominal will be colored based on the standard PC-DMIS plus tolerance color. See the "Editing Dimension Colors" topic in the PC-DMIS Core help file.

- Tol - This provides the negative tolerance from the nominal, and is specified in current part program units. Points that are less than this value from the nominal will be colored based on the standard PC-DMIS negative tolerance color. See the "Editing Dimension Colors" topic in the PC-DMIS Core help file.

Report Screen Captures

The Screen Capture options are linked to the graphical analysis options. The SCREENCAPTURE.RTP report template should be selected to view the screen capture images in-line with you report data (See "Appendix A: Troubleshooting PC-DMIS Vision" or the "About Reports and Report Templates" topic in the PC-DMIS Core help file for more information on Report templates). The following settings determine how screen captures will be reported:

Take NO / CAD / LIVE / BOTH views...

  • NO - No screen captures will be included

  • CAD - Include the image from the CAD View in the report.

  • LIVE - Include the image from the LIVE View in the report. This is the most useful view to capture and include in your report for Vision machines.

  • BOTH - Include images from both the Live View tab and the Cad View tab in the report.

Note: If a feature is measured using 4 ROIs, there will be four (eight if you have selected BOTH) separate screen shots on the report - one for each point acquisition section.

...for ALL / FAILED features...

  • ALL - Image capture gets generated for ALL measurements of this feature. Please be aware that this may cause your reports to become too big.

  • FAILED - Image capture gets generated only when any point section that includes at least one point that exceeded your specified + or - tolerances.

...at TO FIT / 25% / 50% / 75% / 100% size...

  • TO FIT - Captured image is scaled to fit the report window.

  • 25%, 50%, 75%, & 100% - Captured image is scaled to the specified percentage of the entire image.

...with LOW / GOOD / HIGH quality.

  • LOW - The color depth of the image is 2 bits per pixel resulting in a loss of color information on all but the simplest of images (e.g. where most pixels are black or white).

  • GOOD - The color depth of the image is 4 bits per pixel, which gives acceptable images except where the image contains a lot of different colors, where a loss of color information is noticeable.

  • HIGH - The color depth of the image is 8 bits per pixel, which produces little to no color loss.

Note: Consideration should be given to the amount of resources that would be used with large images at high resolution.


Command Buttons

Command Buttons

Description

Move To button

Clicking the Move To button moves the field of view in the Graphics Display window and centers it on the current feature's XYZ location. If a feature is composed of more than one point (such as a line), then clicking this button switches between the points making up the feature.

Test button

Clicking the Test button allows you to test a feature's creation and preview its dimensional data before it's actually created.

Clicking this button performs a measurement using the current parameters.

You can change parameters and click Test repeatedly until you have an acceptable measurement. Then when you click Create the software converts the temporary feature into a normal feature in the part program.

Create button

Clicking the Create button inserts the defined Auto Feature into the Edit Window at the current position.

Close button

Clicking the Close button exits the Auto Feature dialog box.

Basic [image] and Advanced [image] buttons

Clicking the Basic button will display the only the basic Auto Feature options while clicking the Advanced button expands the Auto Feature dialog box to show the advanced options.


Vision Field Definitions

The Edit window command line for a sample vision circle reads:

feature_name=FEAT/VISION/TOG1,TOG2,TOG3,TOG4
THEO/ <x_cord, y_cord, z_cord>, <i_vec, j_vec,
   k_vec>, diam
ACTL/ <x_cord, y_cord, z_cord>, <i_vec, j_vec,
   k_vec>, diam

TARG/ <x_cord, y_cord, z_cord>, <i_vec, j_vec,
   k_vec>
SNAP = TOG5
MEASURE MODE/TOG6
SURFACE/TOG7,n,EDGE/TOG7,n
RMEAS/CIR1,CIR1,CIR1
CIRCULAR/TOG8
CLEARPLANE/TOG9
PREPOSITION/TOG10
GRAPHICAL ANALYSIS/TOG11,n1,n2,n3
SCREEN CAPTURE/TOG12/TOG13/TOG14/TOG15
FEATURE LOCATOR/TOG16,n1,TOG17,n2,n3
VISION/TOG1 8
SHOW_PROBE_PARAMETERS = TOG19
TYPE/TOG20
MAGNIFICATION/0.843
HIT TARGET COLOR/TOG21,NOMINAL COLOR/TOG21
HIT TARGET/EA1,0.202,TOG22
EDGE/TOG23,n1,n2,n3,n4
FILTER/TOG24,n1,TOG25,n2,n3
FOCUS/TOG26,n1,n2,TOG27,TOG28
ILLUMINATION/TOP LAMP [ON:0%] : BOTTOM LAMP [ON:55%] : RING LAMP [ON:0%{111111}]
ENDVISION/

  • THEO: Defines the theoretical values for measuring the Vision Auto Feature.

  • ACTL: Defines the actual measured values of the measured Vision Auto Feature.

  • TARG: Defines the target position for the measurement. Use these values when the THEO positions don't match the part. You should leave the THEO values to match the CAD positions, and results will be dimensioned to these values, but change the TARG values so that the feature will actually be measured in a slightly different place.


Using AutoTune Execution

The AutoTune icon, places your computer into AutoTune execution.

Display Menu Roadmap AutoTune execution allows you to conveniently teach illumination, magnification and image processing parameters of your part program commands for the target optical machine.

You should use this mode when you move your part program from one computer to another, or when you are ready to execute an offline prepared part program in an online environment. If you are running an offline part program in online mode for the first time, PC-DMIS Vision automatically enters AutoTune execution. It needs to do this because during offline preparation, PC-DMIS uses simulated lighting which may not match the actual lighting behaviour on the target machine.

In summary, you may want to execute your part program using AutoTune execution when you have the following conditions:

  • You move a part program from one machine to another.

  • You need to run a part program in online mode that was prepared in offline mode.

  • You change hardware components that affect the lighting, such as lamps.

  • Lighting conditions of the room where you have your optical machine changes.

  • You want to change the magnification setting for a number of features in one operation, rather than individually feature by feature.

You will find that there are slight differences between different hardware systems and, over time, even within the same hardware system. AutoTune execution addresses these issues.

More:

How AutoTune Execution Works


How AutoTune Execution Works

When you execute your part program in AutoTune execution, PC-DMIS Vision steps you through the program, feature by feature.

It performs a test measurement on each feature and then displays the Auto Features dialog box for that feature.

You then have the option to apply one or more of those changes to one or more subsequent features in the part program.

Once you are satisfied with the feature and click OK, PC-DMIS Vision then tests the next feature. It continues doing this until the entire part program has been executed in AutoTune execution

Once you finish executing the part program in AutoTune execution, you can return to regular Execute mode.


Appendix A: Troubleshooting PC-DMIS Vision

Use this troubleshooting guide to find solutions to your PC-DMIS Vision problems.

Problem: No image in Live View

  • Ensure the Frame Grabber drivers have been installed.

Problem: DCC machine does not move

  • Check the Max Speed setting in the Motion tab of the Machine Interface Setup dialog box.

Problem: Point Detection takes a long time

When using Matching Edge selection type for an Automatic Hit Target, image detection can sometimes take a long time. Try the following to speed up the detection:

  • Reduce scan tolerance (width of the target band). With a narrower band, PC-DMIS Vision has fewer "edges" it has to evaluate in order to find the correct one.

  • Change the illumination. You may have a lot of surface texture which can give the Matching Edge algorithm more to do. Make the feature a back light measured one (as you'd normally do on holes). Switch off the top light, and switch on the back light.

  • Use the Clean Filter from the Filter Parameter Set to remove small dirt and weak edges from the image.

  • If the previous steps don’t help, use one of the other edge detection methods. Matching Edge is the most reliable for finding the correct edge, but it is the most processor intensive. On this particular edge, try Specified Edge, with the direction going from inner to outer.

Problem: Point Detection finds false edge points on parts with strong surface texture

  • Use the Clean Filter from the Filter Parameter Set to remove small dirt and weak edges from the image.

  • Where possible, use bottom light sources with no top light.

Problem: Point Detection finds false edge points on parts with gentle gradient/shadow

  • Switch off the Clean Filter from the Filter Parameter Set.

Problem: Poor Focus accuracy

  • Focus operations (manual and automatic) should always be done at highest possible magnification.

  • A slower speed allows for more data collection, improving the accuracy.

  • Set the illumination to provide as much contrast as possible on the surface/edge.

Problem: Poor Manual Focus repeatability

  • When moving the stage, aim for a slow and steady speed.

  • You can move forwards and backwards over the focus point (to get multiple peaks on your graph) if the focus time allows it. See the "Focus Graph" topic.

Problem: Windows runs out of memory

  • If automatic screen captures are on, they can use a lot of memory (depending on the quality settings). Try setting a lower quality or smaller image.

Problem: Screen Capture Images do not display in Report Window

If captured images are not displayed in the Report Window, then you need to check to see that the SCREENCAPTURE.RTP template has been selected.

  • Select the View | Report Window menu item to view the Report Window. Click [image] from the toolbar to open the Report Templates dialog box.

  • Select the SCREENCAPTURE.RTP template or Click Add and browse to its location (install_dir\reporting) if it is not already available in the Report Template dialog box.


Appendix B: Adding a Ring Tool

PC-DMIS Vision supports the use of a Ring Tool for Probe Offset calibration. The ring tool is used for Vision and Multi-sensor machines. See the "Calibrate Probe Offset" topic for information.

Add Tool dialog box - Ring Tool

Specify the following Ring Tool values:

  • Tool ID - Provide a descriptive name for the Ring tool.

  • Tool Type - Ring is selected.

  • Shank Vector IJK - Specifies the vector of the center axis of the ring tool.

  • Search Override IJK - These boxes allow you to specify a vector used by PC-DMIS to determine the most efficient order to measure all the tips when you select the User Defined Calibration Order check box in the Probe Utilities dialog box.

  • Diameter - Provides the diameter of the ring gage hole or bore

  • Z Point Offset X - Specifies the X offset of the Z value measurement point from the top center of the bore.

  • Z Point Offset Y - Specifies the Y offset of the Z value measurement point from the top center of the bore.

  • Z Point Offset Z - Specifies the Z offset of the Z value measurement point from the top center of the bore.

  • Datum Depth Start - Specifies the minimum depth into the bore where the bore cylinder is the datum

  • Datum Depth End - Specifies the maximum depth into the bore where the bore cylinder is the datum

  • Focus Offset - Provides distance in Z from the top surface to the bore circle focus height.


Intensity Circle

The circle that is located in the middle of the Top light, Bottom light or segment of a Ring light shows the current intensity value for that light.


Probe Tip

Some other interchangeable terms for "probe tip" are AB angles, AB positions, Tip, Tip Angles, etc.


scale to fit

The Scale to Fit check box is only available on some optical machines.


Teach Feature Icon

Teach Features icon.

To enter Teach Mode Execution, select the Teach Features from the Edit Window toolbar or from the File menu.


TOG1

TOG1 = FEATURE TYPE
CIRCLE / EDGE POINT / LINE / PROFILE 2D / SURFACE POINT / ROUND SLOT / SQUARE SLOT are the currently available PC-DMIS Vision feature types. This value can only be toggled using TOG18.


TOG2

TOG2 = POLR or RECT for POINT, CIRCLE, EDGEPOINT and LINE; OPEN or CLOSED for PROFILE 2D;


TOG3

TOG3 = IN or OUT for CIRCLE; POLR or RECT for PROFILE 2D and SLOT (not used for POINT, LINE


TOG4

TOG4 = ALGORITHM
LEAST_SQR, MIN_SEP, MAX_INSC, MIN_CIRSC (Only used for CIRCLE)


TOG5

TOG5 = SNAP = YES / NO (Only used for SURFACE POINT)


TOG6

TOG6 = MEASURE MODE
NOMINALS / VECTOR / FIND NOMS / MASTER


TOG7

TOG7 = THICKNESS
This is a toggle field to determine if Actual Thickness (ACTL_THICKNESS), Theoretical Thickness (THEO_THICKNESS) or thickness is off (THICKNESS_OFF). Edge thickness can be specified for lines and edge points. n = thickness value in current units.


TOG8

TOG8 = CIRCULAR
YES / NO - This toggle field determines if circular moves will be used for this feature.


TOG9

TOG9 = CLEARPLANE
YES / NO - This toggle field determines if a clearplane is used for this feature.


TOG10

TOG10 = PREPOSITION
YES / NO - This toggle field moves the video camera to position and then pauses before taking a measurement. This allows you to make fine positional adjustments of the targets.


TOG11

TOG11 = GRAPHICAL ANALYSIS
YES / NO - This toggle field determines if graphical analysis is applied. When this value is set to YES, then the next three values or Point Size, Plus and Minus Tolerances are applied for graphical analysis. n1 = point size, n2 = plus tolerance, n3 = minus tolerance.


TOG12

TOG12 = SCREEN CAPTURE
BOTH / CAD / LIVE / NO - This is a toggle field that allows you to save the CAD or LIVE view. If both views need to be saved, select BOTH. No views will be saved if NO is displayed. Captured screen shots are available in the Edit window but you must be in Full Report mode.


TOG13

TOG13 = ALL / OUTTOL - This toggle is used when TOG11 is not set to NO. Captures are done for ALL feature of OUTTOL features.


TOG14

TOG14 = TO FIT / 25% / 50% / 75% / 100% - This toggle is used when TOG11 is not set to NO. This determines the scale of the screen capture.


TOG15

TOG15 = LOW / GOOD / HIGH - This toggle is used when TOG11 is not set to NO. This determines the quality of the screen capture.


TOG16

TOG16 = FEATURE LOCATOR (Bitmap)
The feature locator option is used for specifying a bitmap image file that you want to appear in the Feature Locator tab of the Probe Toolbox when this feature is executed. This option can help you locate the feature. If this option isn’t needed, switch it to NO. n1 = path and name of the bitmap.


TOG17

TOG17 = FEATURE LOCATOR (Audio File)
The feature locator option is used for specifying a wav file that will play when this feature is executed. If this option isn’t needed, switch it to NO. n2 = path and name of the wav file. n3 = Caption string for Feature Locator tab.


TOG18

TOG18 = FEATURE
CIRCLE / EDGE POINT / LINE / PROFILE 2D / SURFACE POINT / SLOT


TOG19

TOG19 = SHOW_PROBE_PARAMETERS
YES / NO - This toggle field determines if probe parameters are shown.


TOG20

TOG20 = HIT TARGET TYPE
AUTOMATIC HIT TARGET / MANUAL HIT TARGET / GAGE HIT TARGET - This toggle field determines the type of Hit Target. GAGE HIT TARGET is only available for LINE and CIRCLE.


TOG21

TOG21 = COLOR
Select from 16 basic colors used to denote the HIT TARGET COLOR and the NOMINAL COLOR.


TOG22

TOG22 = DENSITY
This option toggles between LOW | HIGH | NORMAL | NONE. It indicates the density of points that will be returned for this target. See "Probe Toolbox: Hit Targets tab" for more information.


TOG23

TOG23 = EDGE TYPE
This toggle field switches between the available types of edge detections. They are: DOMINANT EDGE, SPECIFIED EDGE, NEAREST NOMINAL, or MATCHING EDGE. See "Probe Toolbox: Hit Targets tab" for more information. This value is not used for a SURFACE POINT. n1 = Edge strength threshold to be used during the teach process. All edges that are assigned a ‘strength’ that is below this threshold will be ignored when looking for an edge. Values should fall between the range of 0 and 255. n2 = Hit target direction (--> or <--). n3 = Specified Edge - This parameter defines the Nth edge to be used for the specified edge detection method. Currently allows a number between 1-10 to be entered. n4 = This value determines if the edge that is being viewed and found goes from black to white "[|] ->[ ]", white to black "[ ] ->[|]", or either "[?] ->[?].


TOG24

TOG24 = CLEAN FILTER
YES / NO - This toggle field will apply the clean filter which removes dust and small noise particles from the image prior to edge detection. This value is not used for a SURFACE POINT. n1 = Strength - Specifies the size (in pixels) of an object, below which is considered to be dirt or noise.


TOG25

TOG25 = OUTLIER FILTER
YES / NO - This toggle field determines whether the outlier filter is applied for this target. This value is not used for a SURFACE POINT. n2 = Distance Threshold - This specifies the distance in pixels that a point can be away from nominal before discarding it. n3 = The standard deviation of a point needs to be away from the other points to make it considered to be an outlier.


TOG26

TOG26 = FOCUS
YES / NO - This determines whether or not the target requires a pre-edge detection focus. n1 = This value displays the range from the camera to the part. It specifies the distance (in the current units) over which to perform the focus. n2 = This value provides the number of seconds to spend searching for the best focal position.


TOG27

TOG27 = Dual Pass
YES / NO - This toggle field determines whether or not the machine should perform a second, slightly slower, pass-to attempt to improve the accuracy of the focal position.


TOG28

TOG28 = Illumination
This YES/NO This toggle field determines whether or not the machine should perform an auto-light adjust prior to focus, in an attempt to achieve optimal focus result. If set to NO, PCDMIS will set lighting according to the learned percentage and the brightness will not be adjusted automatically.